commit 47c744f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-10

    Update NEWS for v0.9.4
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 1522663
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    DOC: Make doxygen ignore `scripts_version_s'
    
    This fixes the "warning: Compound scripts_version_s is not documented."
    while running doxygen.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/version.c

commit b79b467
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    API: Return URLs in escaped (percent-encoded) form
    
    - Extend `l_chk_s' and `l_chk_assign_s' functions to allow the caller
      set the `escape_url' arg to TRUE to tell the library to store the
      string value in URI escaped form
    
    - All URLs returned by the library (e.g. media stream or thumbnail) are
      now stored in their escaped form, and passed as such to the
      applications querying them
    
    - "Reserved chars" remain unescaped
      - https://tools.ietf.org/html/rfc3986#section-2.2
    
    Affected API functions
    
    - quvi_subtitle_lang_get (QUVI_SUBTITLE_LANG_PROPERTY_URL)
    - quvi_playlist_get (QUVI_PLAYLIST_*_URL)
    - quvi_media_get (QUVI_MEDIA_*_URL)
    
    Rationale
    
    - Address the potential problem of chars getting mangled when the URLs
      containing UTF8 chars are passed to the application trying to access
      the URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_get.c
src/api/playlist_get.c
src/api/subtitle_lang_get.c
src/lua/chk.c
src/lua/chk.h
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_subtitle_export_script_export.c
src/lua/exec_subtitle_export_script_ident.c
src/lua/exec_subtitle_script_parse.c

commit 8e23664
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-24

    m_url_unescaped_form: Check if g_uri_unescape_string fails
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/url.c

commit 8f43c14
Merge: 0c68568 6a9ee69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-15

    Merge branch 'tg/next__redo_url_{un}escaping' into next

commit 6a9ee69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    tests/media.c: Add test_media_escaped_utf8_url
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit 0246e60
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    test_media_escaped_url: Replace URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit 95d221b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    test_media_select: Replace URL, update patterns
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit d7e5c54
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    test_media_multi: Replace test URL
    
    Other:
    * Check {video,audio} encoding properties conditionally
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit fa705e3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    test_scan_core: Replace test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan.c

commit 5b02675
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    n_new, n_resolve_new: Escape URL for libcurl
    
    Escape the URLs at these chokepoints before they are passed to libcurl
    (via CURLOPT_URL). libcurl works with UTF8 chars as long as they have
    been escaped.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/handle.c

commit 3b2a19d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    m_subtitle_new: Store input URL in unescaped form
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/subtitle.c

commit c312f9a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    m_playlist_new: Store input URL in unescaped form
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/playlist.c

commit 3e5cb7d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    m_media_new: Store input URL in unescaped form
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/media.c

commit 4a626ab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    Add misc/url.* with m_url_(un)escaped_form
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/Makefile.am
src/misc/url.c
src/misc/url.h

commit 741d967
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-14

    m_unescape_url: Remove completely
    
    This function will be replaced by m_url_(un)escaped_form.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/Makefile.am
src/misc/media.c
src/misc/playlist.c
src/misc/subtitle.c
src/misc/unescape.c
src/misc/unescape.h

commit 0c68568
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-10-13

    DOC: Update C API reference URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/footer.txt

commit c0a4fec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    Update NEWS for v0.9.3
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit dd1456d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    Use word "library" in the source file headers
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_file_ext_s.h
src/api/errcode.c
src/api/file_ext_free.c
src/api/file_ext_get.c
src/api/file_ext_new.c
src/curl/reset.c
src/gcrypt/crypto.c
src/gcrypt/crypto.h
src/gcrypt/init.c
src/lua/quvi/base64/decode.c
src/lua/quvi/base64/encode.c
src/lua/quvi/crypto/copts.c
src/lua/quvi/crypto/en_decrypt.c
src/lua/quvi/crypto/err.c
src/lua/quvi/crypto/err.h
src/lua/quvi/crypto/hash.c
src/lua/quvi/crypto/opts.h
src/lua/quvi/http/cookie.c
src/lua/quvi/http/header.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/opts.c
src/lua/quvi/opts.h
src/misc/slst.c
src/misc/slst.h

commit 0ab60a7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    tests_media_escaped_url: Change test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit f2ce9b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    FIX: Unescape input URL before URL resolving
    
    Unescape the input URL in m_{media,subtitle,playlist}_new, otherwise
    libcurl will attempt to resolve escaped (if any) URLs and fail.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/match_media_script.c
src/misc/match_playlist_script.c
src/misc/match_subtitle_script.c
src/misc/media.c
src/misc/playlist.c
src/misc/subtitle.c

commit 484637c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    quvi_resolve_new: Update to use the added m_resolve_url
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/resolve_new.c

commit 876107e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    Rewrite m_resolve, add m_resolve_url
    
    Modify m_resolve to reuse the GString:
    * Read input URL from it
    * Write resolved destination URL to it
    
    Add m_resolve_url:
    * Identical to the old m_resolve which took the input URL parameter
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/resolve.c
src/misc/resolve.h

commit 12c1faa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    Remove a vim modeline line
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/match_subtitle_export_script.c

commit c2a7ade
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-09-03

    tests: media: Replace dmotion URLs
    
    Update any tests that previously used dailymotion test URLs to use
    spiegel test URLs. The updated tests previously relied on the order of
    the returned stream IDs -- this no longer is possible with spiegel. This
    commit changes the tests so that they use hardcoded expected values,
    instead.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit 61cc7f7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    DOC: manpage: footer: Revise "FURTHER RESOURCES"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/footer.txt

commit e8605c8
Merge: 353f0d7 ed10f8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    Merge branch 'tg/next__opt-in_allow_cookies' into next

commit ed10f8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    examples/media: Add -c (enable cookies)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/media.c

commit a9ad57c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    libconvenience_example: Add examples_enable_cookies
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/Makefile.am
examples/lib/enable_cookies.c
examples/lib/examples.h

commit 5c9a1dd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    DOC: quvi-object(7): Update quvi.http.cookie with QUVI_OPTION_ALLOW_COOKIES
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-object.7.txt

commit c20a66c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    DOC: Glossary: Terminology: Update with CURLOPT_COOKIEFILE=""
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_termino.dp

commit 876949e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    quvi.http.cookie: Return unless QUVI_OPTION_ALLOW_COOKIES is QUVI_TRUE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/http/cookie.c

commit a6f1c10
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    c_reset: Set CURLOPT_COOKIELIST="ALL" conditionally
    
    Clear the cookies in the (libcurl) memory, only if
    QUVI_OPTION_ALLOW_COOKIES was set to QUVI_TRUE.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/reset.c

commit 6dae749
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    c_init: Set CURLOPT_COOKIEFILE="" conditionally
    
    Enable cookie support only if QUVI_OPTION_ALLOW_COOKIE was set to
    QUVI_TRUE.
    
    The earlier libquvi 0.9 versions presumed, incorrectly, that setting
    CURLOPT_COOKIELIST="ALL" would cause libcurl to parse the received
    cookies and use them in the subsequent HTTP requests. Setting
    CURLOPT_COOKIEFILE="" fixes that.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/init.c

commit f158aa9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    API: quvi_set: Handle QUVI_OPTION_ALLOW_COOKIES
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/set.c

commit f56798b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    API: Add QUVI_OPTION_ALLOW_COOKIES
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qoption.h

commit 280566c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    _quvi_s: Add "allow_cookies" flag
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h

commit 353f0d7
Merge: c591b1b 6a68b8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-31

    Merge branch 'tg/next__scripts_version_as_ini' into next

commit 6a68b8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    examples: version: Print QUVI_VERSION_SCRIPTS_CONFIGURATION
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/version.c

commit 4466c98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    API: quvi_version: Read "version" file as ini-file
    
    libquvi-scripts now writes the "version" file as a ini-file. Update
    quvi_version to parse the contents using GKeyFile.
    
    Other:
    * Add support for QUVI_VERSION_SCRIPTS_CONFIGURATION
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/version.c

commit f0c95e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    API: Add QUVI_VERSION_SCRIPTS_CONFIGURATION
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qversion.h

commit 097d13a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-29

    configure.ac: scriptsver: Change how version is parsed
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit c591b1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-26

    AC_PREREQ: Bump to 2.69
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit f02cc3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-06

    FIX: error: implicit declaration of function 'luaL_register'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 015d7f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    Updates NEWS for v0.9.2
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 20b1ee3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-07

    LDFLAGS: libtool: Use -release with unstable 0.9 releases
    
    The rationale behind the switch (`-version-info' to `-release'):
    
    * The 0.9 series is currently under development, and will gradually
      mature as the next stable (1.0), replacing the 0.4 series completely
    
    * The series may still see:
      - ABI and API breakages with the earlier 0.9 versions
      - Feature additions and/or removals
    
    Instead of bumping the `-version-info C+1:R:A' everytime something
    breaks the backward-compatibility with the earlier 0.9 releases, we will
    use the `-release RELEASE'. Once 0.9 graduates as the next stable (1.0),
    we can switch back to using the `-version-info'.
    
    Downside:
    
      * Every release of the package will not be binary compatible with any
        other release (which would frequently be the case anyway)
    
      * Applications that depend on (this) libquvi 0.9 release will have to
        be recompiled later again to use a new release of libquvi
    
    Other:
    * Leave the -version-info line commented out for the next stable (1.0)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am

commit cfc17fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-03

    FIX: configure.ac: AS_IF for date(1)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 6612228
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-03

    configure.ac: Rewrite 6cdebfdf4 using $srcdir and AS_IF
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 68a48e2
Merge: 1004836 7a5fa40
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-03

    Merge branch 'tg/next__quvi_version__build_cflags' into next

commit 7a5fa40
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-03

    examples/version: Print QUVI_VERSION_BUILD_CC_CFLAGS
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/version.c

commit c93ce12
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-03

    quvi_version: Add support for QUVI_VERSION_BUILD_CC_CFLAGS
    
    Save, and return, $CC and $CFLAGS via quvi_version with
    QUVI_VERSION_BUILD_CC_CFLAGS.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac
src/api/version.c
src/quvi-0.9/quvi/qversion.h

commit 1004836
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    configure.ac: Add a vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 6cdebfd
Author: Bastien Nocera <hadess@hadess.net>
Date:   2013-06-21

    Require a2x when building from git
    
    Otherwise make in the doc/man7 directory will fail as quvi-object.7 is
    missing.
    
    Signed-off-by: Bastien Nocera <hadess@hadess.net>
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 91375fd
Author: Bastien Nocera <hadess@hadess.net>
Date:   2013-06-20

    FIX: declaration of quvi_new()
    
    qfunc.h:28:3: warning: function declaration isn't a prototype
    
    w/ [-Wstrict-prototypes]
    
    Signed-off-by: Bastien Nocera <hadess@hadess.net>

src/quvi-0.9/quvi/qfunc.h

commit 1e82245
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    tests: quvi: Sprinkle with quvi_ok calls
    
    To confirm that `quvi_ok' functions as expected.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/quvi.c

commit 905a544
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    Remove unused net/def.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/fetch.c
src/curl/http_metainfo.c
src/net/Makefile.am
src/net/def.h
src/net/fetch.c

commit 3816c41
Merge: 78e1589 a90e659
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    Merge branch 'tg/next__statuscb_with_userdata' into next

commit a90e659
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    examples: examples_status: Add user_data parameter
    
    Other:
    * Rename parameters
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/examples.h
examples/lib/status.c

commit a3cfa20
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    tests: Add test_scan_userdata
    
    This testcase will serve as a userdata-with-status-callback -test. It
    could have been any other network-dependent unit of the testsuite.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan.c

commit bc80328
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    libconvenience_net: Pass userdata with status callback
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/fetch.c
src/net/http_metainfo.c
src/net/resolve.c

commit 07f7387
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    Define QUVI_OPTION_CALLBACK_STATUS_USERDATA
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qoption.h

commit 5b3cebb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    Redefine quvi_callback_status with userdata parameter
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qdef.h

commit 587958b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    quvi_set: Add support for QUVI_OPTION_CALLBACK_STATUS_USERDATA
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/set.c

commit ffcd072
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    _quvi_s: Add userdata property for "status" callback
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h

commit 78e1589
Merge: e6b1b0e 0ddda1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    Merge branch 'tg/next__add__quvi_errcode' into next

commit 0ddda1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    examples: supports: chk_support: Update to use quvi_errcode
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/supports.c

commit 4b110f3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    examples: examples_exit_if_error: Use quvi_errcode
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/exit_if_error.c

commit 82b9519
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    tests: Use quvi_errcode instead of QUVI_INFO_ERROR_CODE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/goto.c
tests/http_metainfo.c
tests/media.c
tests/playlist.c
tests/quvi.c
tests/resolve.c
tests/scan.c
tests/script.c
tests/subtitle.c
tests/supports.c

commit 2970b50
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    tests: libconvenience_test: Remove qerr function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/qerr.c
tests/lib/tests.h

commit 5f98b90
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    API: quvi_get: Remove QUVI_INFO_ERROR_CODE support
    
    Set the q->status.rc which was previously removed in aa7772f0f8, making
    the `quvi_get' secure to use again.  The API now provides the
    `quvi_errcode' to query the last library error code.
    
    See also:
      * e508f1ba3f
    
    Other:
      * Remove the _CURRENTLY_UNUSED blocks
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/get.c
src/quvi-0.9/quvi/qinfo.h

commit c9d1ca1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    API: Add quvi_errcode
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/Makefile.am
src/api/errcode.c
src/quvi-0.9/quvi/qfunc.h

commit e6b1b0e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    _set: QUVI_OPTION_USER_AGENT: Use gchar instead of char
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/set.c

commit 92b4c17
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    _media_get: Make const QuviMediaProperty param
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_get.c

commit c7cbc17
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    test_playlist_core: Update expected title values
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist.c

commit f63721a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-25

    test_goto_url: Use another URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/goto.c

commit 080f9f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    tests: Do not invoke gtester-report
    
    This results in:
    
      Traceback (most recent call last):
        File "/usr/bin/gtester-report", line 492, in <module>
          main()
        File "/usr/bin/gtester-report", line 486, in main
          HTMLReportWriter(rr.get_info(), rr.binary_list()).printout()
        File "/usr/bin/gtester-report", line 350, in printout
          self.handle_info ()
        File "/usr/bin/gtester-report", line 244, in handle_info
          self.oprint ('<h3>Package: %(package)s, version: \
                        %(version)s</h3>\n' % self.info)
      KeyError: 'package'
    
    $ python --version
    Python 2.7.3
    $ gtester -v
    gtester version 2.32.4
    $ gtester-report -v
    gtester-report (GLib utils) version 0.0-uninstalled.
    
    See also:
    * https://bugzilla.gnome.org/show_bug.cgi?id=668035
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am

commit fa35e81
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-04

    README: Add liblua 5.1 note for Debian Wheezy
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit bedd9af
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-20

    Update NEWS for v0.9.1
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 3e9bd70
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-20

    README: Requirements: Add aptitude commands

README

commit 8bf02f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    gen-news.sh: Do not print release author
    
    Trivial information. Release date matters.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit eef806a
Merge: 5cf0f46 7384203
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    Merge branch 'tg/next__fix_tests' into next

commit 7384203
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    tests: test_resolve_nodst: Update URL
    
    The previous URL now redirects to a new location.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/resolve.c

commit 732c516
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    tests: Comment out test_resolve_3
    
    The URL has been disabled by the shortening service.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/resolve.c

commit a133f26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    tests: playlist: Update URLs
    
    * youtube: Use an actual playlist URL
    * soundcloud: Use a new URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/playlist.c

commit 5cf0f46
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    misc/scan_scripts.c: Make show_dir a static variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/scan_scripts.c

commit 1bcff92
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    misc/scan_scripts.c: Make scripts_dir a static variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/scan_scripts.c

commit 5d5fc70
Merge: 98b24df d5d320c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    Merge branch 'tg/next__extend_LIBQUVI_SCRIPTS_DIR' into next

commit d5d320c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    DOC: Add LIBQUVI_EXCLUSIVE_SCRIPTS_DIR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.txt
src/api/doxy/env.dp

commit 93eee9d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    Add support for LIBQUVI_EXCLUSIVE_SCRIPTS_DIR
    
    See the libquvi.3.txt for the full description.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/scan_scripts.c

commit 98b24df
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    Remove "excl." from the comment
    
    As this is a remnant of 0.4 and would suggest that LIBQUVI_SCRIPTS_DIR
    value would be used "exclusively", e.g. if set, then only those paths
    would be checked for the scripts.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/scan_scripts.c

commit 204d594
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-13

    test_scan_short: Update test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/scan.c

commit 154a9ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-09

    FIX: DOC: LIBQUVI_SCRIPTS_VERBOSE env. variable name
    
    LIBQUVI_VERBOSE_SCRIPTS is an an invalid name of the variable. The
    quvi/debug module checks for LIBQUVI_SCRIPTS_VERBOSE.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/env.dp

commit 76e0ede
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-08

    FIX: DOC: Remove LIBQUVI_VERBOSE_SCRIPTS
    
    LIBQUVI_VERBOSE_SCRIPTS is an an invalid name of the variable. The
    'quvi/debug' module checks for LIBQUVI_SCRIPTS_VERBOSE.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.txt

commit 24327c3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    gen-news.sh: Do not print commits with >1 one parent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 1ebe33e
Merge: acff53e a588ad9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-14

    Merge branch 'tg/next/1.0' into next
    
    Conflicts:
    	configure.ac

commit a588ad9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-07

    FIX: 'copt' is used uninitialized whenever switch default is taken
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/http/cookie.c

commit d98782b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-28

    FIX: quvi_subtitle_select: If lang count is zero
    
    _default:
      If the support script failed to return any subtitles for the media,
      then return NULL.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/subtitle_select.c

commit 6cfe046
Merge: aaf8169 f741f55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    Merge branch 'tg/next/1.0__asciidoc.conf' into tg/next/1.0

commit f741f55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: quvi-object.7.txt: Revise for asciidoc.conf
    
    * Use linkman macro from asciidoc.conf
    * Include footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-object.7.txt

commit 7ab7243
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man7: Makefile.am: Use ASCIIDOC_OPTS with a2x
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am

commit bcfc2f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man3: libquvi.3.txt: Revise for asciidoc.conf
    
    * Use linkman macro from asciidoc.conf
    * Include footer.txt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.txt

commit b882abc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    man3: Makefile.am: Use ASCIIDOC_OPTS with a2x
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/Makefile.am

commit be904eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    doc: Add footer.txt
    
    The manpages include the contents of this file.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am
doc/footer.txt

commit cdeb13a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-25

    doc: Add asciidoc.conf
    
    This file adds the linkman macro. See the comment field for the
    instructions. This is a modified version from the pacman (of Arch Linux)
    source tree uses to produce the manpages: this macro does not insert
    <date>.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am
doc/asciidoc.conf

commit aaf8169
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    AC_CHECK_HEADERS: Add locale.h

configure.ac

commit c5d0f3d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    AC_CHECK_FUNCS: Add memset, setlocale

configure.ac

commit eac504a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    AM_INIT_AUTOMAKE: Remove -Werror
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit ca0a32c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    Workaround: AM_PROG_AR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 6b61fdb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-24

    Makefile.am: doc: Add missing man7 path
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am

commit f0ea201
Merge: 51a41b7 4abc95d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-16

    Merge branch 'tg/next/1.0__quvi_set_ua' into tg/next/1.0

commit 4abc95d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-16

    c_reset: Use either default or QUVI_OPTION_USER_AGENT value
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/reset.c

commit 66ba8b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-16

    quvi_set: Implement QUVI_OPTION_USER_AGENT
    
    In order to keep the program set UA value around, store it for later
    use, as c_reset would otherwise reset to the library default value
    ("Mozilla/5.0").
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/set.c

commit 5836c49
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-16

    QuviOption: Add QUVI_OPTION_USER_AGENT
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qoption.h

commit a3a41c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-16

    _quvi_s: Add user_agent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h
src/api/free.c
src/api/new.c

commit acff53e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-08

    .gitignore: Add config.aux/compile
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit c9d2eb4
Author: Martin Herkt <lachs0r@srsfckn.biz>
Date:   2013-03-08

    configure.ac: add missing AM macros
    
    This fixes generating configure on systems with recent autotools and
    GNU binutils.
    
    Signed-off-by: Martin Herkt <lachs0r@srsfckn.biz>

configure.ac

commit 51a41b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    test_subtitle_core: Add export tests
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/subtitle.c

commit 2bf3b83
Merge: cf776ee 6efeb83
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Merge branch 'tg/next/1.0__quvi_file_ext' into tg/next/1.0

commit 6efeb83
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add test_file_ext
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/quvi.c

commit 497eeb7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add examples/file_ext.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/Makefile.am
examples/file_ext.c

commit 706e999
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    _http_metainfo: Revise to use updated l_exec_util_to_file_ext
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/http_metainfo.c

commit 01f3e98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    l_exec_util_to_file_ext: Revise for reusability
    
    Rewrite l_exec_util_to_file_ext to take a different set of
    parameters so that it can be called from quvi_file_ext_new.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/util/exec_util_to_file_ext.c

commit 6a9104f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add quvi_file_ext_get to API

src/api/Makefile.am
src/api/file_ext_get.c
src/quvi-0.9/quvi/qfunc.h

commit a66be54
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add quvi_file_ext_free to API

src/api/Makefile.am
src/api/file_ext_free.c
src/quvi-0.9/quvi/qfunc.h

commit e60ead2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add quvi_file_ext_new to API

src/api/Makefile.am
src/api/file_ext_new.c
src/quvi-0.9/quvi/qfunc.h

commit a507e38
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add quvi_file_ext_t type to API
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qdef.h

commit c30bd7a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add _quvi_file_ext_s
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/_quvi_file_ext_s.h

commit cf776ee
Merge: 8b34e7e 65ba213
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    Merge branch 'tg/next/1.0__cleanup_cookie_header' into tg/next/1.0

commit 65ba213
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    Pass lua_State arg to l_quvi_object_opts_croak_if_error
    
    The updated l_quvi_object_opts_croak_if_error takes lua_State as the
    first arg. Update the following:
      * _exec (quvi/crypto/en_decrypt.c)
      * l_quvi_base64_encode
      * l_quvi_http_metainfo
      * l_quvi_http_resolve
      * l_quvi_crypto_hash
      * l_quvi_http_header
      * l_quvi_http_fetch
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/base64/encode.c
src/lua/quvi/crypto/en_decrypt.c
src/lua/quvi/crypto/hash.c
src/lua/quvi/http/fetch.c
src/lua/quvi/http/header.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c

commit 276adb6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    n_fetch: Use updated l_quvi_object_opts_is_set
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/fetch.c

commit bdc964b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    quvi/http/cookie.c: Use new support funcs/macros
    
    Replace use of macros and functions defined in this file with those
    added to quvi/opts.c.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/http/cookie.c

commit 98efce5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    quvi/crypto/copts.c: Use new support funcs/macros
    
    Replace use of macros and functions defined in this file with those
    added to quvi/opts.c.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/crypto/copts.c

commit 30b215a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    quvi-object opts: Additional support funcs/macros
    
    Add macros:
      l_quvi_object_opts_chk_req_{s,cb}
      l_quvi_object_opts_chk_opt_s
    
    Modify `l_quvi_object_opts_is_set' to take additional parameters so that
    it can be used by the above macros.
    
    Add function `l_quvi_object_opts_chk_given' which will check that
    the quvi-object options list is not empty.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/opts.c
src/lua/quvi/opts.h

commit 8b34e7e
Merge: 46f9db1 579619b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    Merge branch 'tg/next/1.0__header' into tg/next/1.0

commit 579619b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    quvi-object(7): Remove qoo_http_user_agent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-object.7.txt

commit 63aa9cb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Comment out l_quvi_object_opts_curl
    
    This function currently sets only the CURLOPT_USERAGENT. The scripts may
    use the quvi.http.header to set the UA which is more flexible: the
    custom headers will be cleared automatically, thus the previously set
    CURLOPT_USERAGENT will not be lost, e.g. when a program is reusing the
    libquvi curl session handle and sets the CURLOPT_USERAGENT to another
    value.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c
src/lua/quvi/opts.c
src/lua/quvi/opts.h

commit 1e72770
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    quvi-object(7): Document quvi.http.header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-object.7.txt

commit 3adeeda
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Add lua/quvi/http/header.c
    
    This file implements the l_quvi_http_header function.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am
src/lua/quvi/http/header.c

commit c72f9cd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Add l_quvi_http_header to quvi_reg_meth
    
    This function will be accessible using the quvi-object,
    e.g. quvi.http.header("Cookie: foo=1; bar=2;")
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/init.c

commit 01197b8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Add HTTP "headers" to _quvi_s
    
    This linked-list will hold any custom HTTP headers that should
    be used with the outgoing HTTP requests.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h

commit 2ed9e19
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-03

    Add c_reset_headers
    
    Release and clear the custom headers set with CURLOPT_HTTPHEADER.
    This restores the internal headers to their initial state.
    
    c_close calls this function, releasing any previously added custom
    headers.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/close.c
src/curl/reset.c

commit 46f9db1
Merge: cbd57de e52fbb5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-04

    Merge branch 'tg/next/1.0__cookie' into tg/next/1.0

commit e52fbb5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    quvi-object(7): Document quvi.http.cookie
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/quvi-object.7.txt

commit 015cfe6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    Add lua/quvi/http/cookie.c
    
    This implements the quvi.http.cookie (l_quvi_http_cookie).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am
src/lua/quvi/http/cookie.c

commit 5588a45
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    Add l_quvi_http_cookie to quvi_http_reg_meth
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/init.c

commit 8e3f6a4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    Add QUVI_OBJECT_OPTION_HTTP_COOKIE_MODE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/opts.h

commit 5af74c3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-28

    lua/def.h: Rename human-readable variables
    
    Rename the crypto QOCO_* variables. Add HRE_COOKIE_MODE.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h
src/lua/quvi/crypto/copts.c

commit c7e5b77
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-26

    Remove quvi.http.fetch option 'cookie'
    
    This paves way for the new set of cookie features provided via
    the (quvi-object) quvi.http.cookie interface.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/opts.c
src/lua/quvi/opts.h
src/net/def.h

commit cbd57de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-21

    Add curl/reset.c: c_reset
    
    Reset the cURL handle back to the default state. This paves the way for
    the additional cookie and header features.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_new.c
src/api/playlist_new.c
src/api/scan_new.c
src/api/subtitle_new.c
src/curl/Makefile.am
src/curl/init.c
src/curl/reset.c
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_subtitle_script_parse.c

commit 8eb25b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-01

    DOC: QuviInfo: Add doxy comments
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qinfo.h

commit f4d9f06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-01

    DOC: Add libcURL session handle
    
    Document libcURL session handle in the Glossary: Terminology
    section of the C API reference documentation.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/getting_started.dp
src/api/doxy/glossary_termino.dp

commit cfc02f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-19

    Revise doxy/dirs: Add subtitle directories
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/dirs.dp

commit 05ddf48
Merge: fd810a2 dc654ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Merge branch 'tg/next/1.0__quvi_supports__subtitle' into tg/next/1.0

commit dc654ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    examples/supports.c: Add subtitle support
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/supports.c

commit 0b5c617
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    quvi_supports: Handle QUVI_SUPPORTS_TYPE_SUBTITLE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/supports.c

commit 0b2f23e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    QuviSupportsType: Add QUVI_SUPPORTS_TYPE_SUBTITLE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qsupp.h

commit fd810a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    examples/script.c: Cleanup
    
    Remove unused typedef and extra semicolon.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/script.c

commit 9e6e21f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-06

    Rename all occurences of "subrip" specifier to "srt"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/subtitle.c
src/api/doxy/parse_subtitle.dp

commit ce23b2a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Update POTFILES.in
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

po/POTFILES.in

commit 7d631c7
Merge: 5489d96 0367287
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Merge branch 'tg/next/1.0__doc_quvi_object' into tg/next/1.0

commit 0367287
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Add doc/man7/Makefile.in to .gitignore
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit 1090ddf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    doc/man7/: Add quvi-object.7.txt
    
    This manual documents the 'quvi-object' (quvi.*).
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man7/Makefile.am
doc/man7/quvi-object.7.txt

commit 03cdfff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    doc/Makefile.am: SUBDIRS: Add man7
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am

commit 9d7e776
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    configure.ac: AC_CONFIG_FILES: Add doc/man7/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 5489d96
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    libquvi.3.txt: SEE ALSO: Add quvi-object, quvi-modules
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.txt

commit 4563a52
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    src/hdr= Reorganize source files alphabetically
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am
doc/Makefile.am
doc/dox/Makefile.am
examples/lib/Makefile.am
src/Makefile.am
src/api/Makefile.am
src/curl/Makefile.am
src/lua/Makefile.am
src/misc/Makefile.am
src/net/Makefile.am
src/quvi-0.9/Makefile.am
src/quvi-0.9/quvi/Makefile.am
tests/lib/Makefile.am

commit cb1a67f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Rename MS_EMPTY to GS_EMPTY_S
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h
src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c

commit 9f89cd3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Add m_slist_free_full
    
    Add a wrapper function identical to g_slist_free_full, except
    that this function returns immediately if the pointer parameter
    is NULL.  g_slist_free_full became available in GLib 2.28.
    
    NOTE: HAVE_GLIB_2_28 is not currently defined at all
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/free.c
src/api/scan_free.c
src/lua/quvi/opts.c
src/misc/Makefile.am
src/misc/media.c
src/misc/playlist.c
src/misc/slst.c
src/misc/slst.h
src/misc/subtitle.c

commit d77a1c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Rename autogen.sh to bootstrap.sh
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README
autogen.sh
bootstrap.sh

commit 2deab14
Merge: d17ab4e f485eb5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    Merge branch 'tg/next/1.0__crypto' into tg/next/1.0

commit f485eb5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Add src/gcrypt/Makefile.in to .gitignore
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit 5d08e47
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    README: Add libgcrypt to Requirements
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit bb1232e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Extend: convenience library: Add gcrypt
    
    Implement the crypto support bridging libquvi with libgcrypt. This
    librar is used by the quvi object crypto functions (quvi.crypto.*).
    
    This adds a new libquvi prerequisite: libgcrypt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac
src/Makefile.am
src/gcrypt/Makefile.am
src/gcrypt/crypto.c
src/gcrypt/crypto.h
src/gcrypt/init.c

commit f12e093
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Extend: quvi object: Add crypto support
    
    Add quvi.crypto.{encrypt,decrypt,hash} support. libquvi scripts may use
    these functions if need be.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am
src/lua/init.c
src/lua/quvi/crypto/copts.c
src/lua/quvi/crypto/en_decrypt.c
src/lua/quvi/crypto/err.c
src/lua/quvi/crypto/err.h
src/lua/quvi/crypto/hash.c
src/lua/quvi/crypto/opts.h

commit 9897bea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    Extend: quvi object: Add base64 support
    
    Add quvi.base64.{encode,decode} support. libquvi scripts may use these
    functions if need be.

src/lua/Makefile.am
src/lua/init.c
src/lua/quvi/base64/decode.c
src/lua/quvi/base64/encode.c

commit e14d0a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    QuviObjectOption: Add crypto options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/opts.h

commit 8be53de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    lua/def.h: Add crypto/base64 related quvi object opts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h

commit dd4800c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    QuviError: Add QUVI_ERROR_GCRYPT_INIT
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qerror.h

commit c695bc3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    quvi_errmsg: Add libgcrypt init error message
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/errmsg.c

commit 3c5137b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    quvi_new: Initialize libgcrypt
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/new.c

commit 84d9d2f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    configure.ac: Add AM_PATH_LIBGCRYPT
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit d17ab4e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    _http_metainfo: Remove unused variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/http_metainfo.c

commit 6c8b505
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    l_quvi_http_fetch: Remove unused variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/quvi/http/fetch.c

commit 83b407e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-01

    FIX: examples/supports.c: type_n: Return correct type
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/supports.c

commit af4cc6c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    l_setfield_s: Take length parameter
    
    If the length parameter value is >0, then lua_pushlstring. This
    makes it possible to push strings that contain embedded zeros.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_scan_script_parse.c
src/lua/exec_subtitle_export_script_export.c
src/lua/exec_subtitle_export_script_ident.c
src/lua/exec_subtitle_script_ident.c
src/lua/exec_subtitle_script_parse.c
src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c
src/lua/setfield.c
src/lua/setfield.h
src/lua/util/exec_util_resolve_redirections.c

commit 6d16861
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    l_quvi_object_opts_new: Add lua index param

src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c
src/lua/quvi/opts.c
src/lua/quvi/opts.h

commit de02036
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-31

    src/api/Makefile.am: Add vim modeline
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/Makefile.am

commit 4969151
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    Replace luaL_openlib with luaL_register
    
    luaL_openlib was replaced with luaL_register in Lua 5.1
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/init.c

commit 9993e33
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-30

    Remove unused variable
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_stream_select.c

commit ba58e28
Merge: faa7cdb e9610c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Merge branch 'tg/next/1.0__quvi_object__make_http' into tg/next/1.0

commit e9610c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Rename quvi.* functions
    
    Rename the existing quvi object functions. All three are
    HTTP functions, make these accessible as quvi.http.*
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/init.c
src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c

commit f457def
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    lua: Move under "http"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am
src/lua/quvi/fetch.c
src/lua/quvi/http/fetch.c
src/lua/quvi/http/metainfo.c
src/lua/quvi/http/resolve.c
src/lua/quvi/metainfo.c
src/lua/quvi/resolve.c

commit faa7cdb
Merge: 7dc143f 6165f6c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Merge branch 'tg/next/1.0__remove_quvi_object_fetch_option_system' into tg/next/1.0

commit 6165f6c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    api: Remove QuviCallbackStatusFetch
    
    Having only one fetch (for URL) is enough.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/status.c
src/quvi-0.9/quvi/qcallback.h

commit 18d9e64
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    lua: Replace old quvi object option system
    
    Discard the old option system used with the quvi object.
    Use the new l_quvi_object_opts_* interface, instead.
    
    This patch takes the first step removing the 'quvi fetch types'
    support from the library.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_net_s.h
src/api/scan_new.c
src/curl/fetch.c
src/curl/http_metainfo.c
src/lua/quvi/fetch.c
src/net/fetch.c
src/net/fetch.h
src/net/handle.c
src/net/http_metainfo.c

commit ecc9ea7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    net: Remove opt.{c,h} implementing n_opt_* interface
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/Makefile.am
src/net/opt.c
src/net/opt.h

commit 1401875
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-18

    Remove _quvi_net_opt_s.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/_quvi_net_opt_s.h

commit 7dc143f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    lua: quvi.fetch: Rewrite for l_quvi_object_opts_*
    
    Rewrite the implementation using the l_quvi_object_opts_* interface.
    Additionally, quvi.fetch will now return a table, similarly to that
    of quvi.resolve and quvi.metainfo.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h
src/lua/quvi/fetch.c

commit caad5f8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    lua: quvi.resolve: Rewrite for l_quvi_object_opts_*
    
    Rewrite the implementation using the l_quvi_object_opts_* interface.
    In addition to this, quvi.resolve will now return a table containing:
    * error_message   # set only if quvi_code is != QUVI_OK (0)
    * response_code
    * resolved_url    # the new destination or empty
    * quvi_code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h
src/lua/quvi/resolve.c

commit af9656c
Merge: c996092 de3cc46
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-17

    Merge branch 'tg/next/1.0__extend_quvi_object__add_metainfo' into tg/next/1.0

commit de3cc46
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    lua: Add quvi.metainfo function
    
    This function may be used to send a HTTP HEAD request to the server. The
    function will return: quvi code, quvi error message, server response code,
    content-type and content-length in a table.
    
    For example:
      local C = require 'quvi/const'
      local o = { [C.qoo_croak_if_error] = false }
      local r = quvi.metainfo(URL, o)
      if r.response_code ==404 then
        r = quvi.metainfo(URL2, o)
        if #r.error_message ==0 then
          for k,v in pairs(r) do print(k,v) end
        else
          error(r.error_message)
        end
      end
    
    See also:
    * http://article.gmane.org/gmane.comp.web.flash.quvi/160
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am
src/lua/def.h
src/lua/init.c
src/lua/quvi/metainfo.c

commit 2abc587
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    lua: Add quvi/opts.{c,h}
    
    The purpose of l_quvi_object_opts_* is to provide a common interface
    to set various options passed to to the quvi object functions.
    
    For example:
    * libcURL related options, e.g. user-agent or cookie
    
    This will eventually replace the quvi object option setting
    functionality residing in the convenience library 'net'.

src/lua/Makefile.am
src/lua/quvi/opts.c
src/lua/quvi/opts.h

commit c996092
Merge: 8ab3dc9 63b5d63
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    Merge branch 'tg/next/1.0__add_subtitles' into tg/next/1.0

commit 63b5d63
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: main: Add subpage parse_subtitle
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/main.dp.in

commit 9e456f3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: Add parse_subtitle page
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/parse_subtitle.dp

commit e433910
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: select_stream: Revise
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/select_stream.dp

commit 31d4683
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: groups: define group subprop
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/groups.dp

commit 846ccc1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: glossary_termino: Add subtitle subsections
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_termino.dp

commit 17cdc20
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: glossary_scripts: Add subtitle scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_scripts.dp

commit ff95e59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    doc: src/api/Makefile.am: Add new doxy page files
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/Makefile.am

commit 7afe19f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    tests/script.c: Update for subtitle enums
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/script.c

commit 2f27d74
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    tests: Add subtitle.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am
tests/subtitle.c

commit 6b1ccf6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    examples/script.c: Update for subtitle scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/script.c

commit 24e6ba0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    examples: Add subtitle.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/Makefile.am
examples/subtitle.c

commit 38052d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    examples/lib/: Add quvi_subtitle_t
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/cleanup.c
examples/lib/examples.h
examples/lib/var.c

commit 9540447
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Makefile.am: Add new impl. files
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/Makefile.am

commit bee2ec1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Add match_url_to_subtitle_script.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/match_url_to_subtitle_script.c

commit e7a9a8b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Add exec_subtitle_script_parse.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_subtitle_script_parse.c

commit 8559186
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Add exec_subtitle_script_ident.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_subtitle_script_ident.c

commit b4cd52c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Add exec_subtitle_export_script_export.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_subtitle_export_script_export.c

commit 544f192
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Add exec_subtitle_export_script_ident.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_subtitle_export_script_ident.c

commit 4350ae7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: exec.h: Declare subtitle script functions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec.h

commit 8be6e26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: def.h: Add subtitle script key names
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/def.h

commit 9e6f234
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: Move comment
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_playlist_script_ident.c
src/lua/exec_scan_script_parse.c

commit d10b11b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: exec_playlist_script_parse.c: l_chk_assign_s: Set trim flag
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_playlist_script_parse.c

commit b708c97
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: exec_media_script_parse.c: l_chk_assign_s: Set trim flag
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_media_script_parse.c

commit 429dd7a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: l_chk{_assign}_s: Add trim flag
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/chk.c
src/lua/chk.h

commit cc00fe8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: exec_media_script_ident.c: Cleanup
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/exec_media_script_ident.c

commit 5e63137
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: Makefile.am: Add new impl. files
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/Makefile.am

commit 826f795
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: Add match_subtitle_export_script.{c,h}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/match_subtitle_export_script.c
src/misc/match_subtitle_export_script.h

commit 95df8eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: Add match_subtitle_script.{c,h}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/match_subtitle_script.c
src/misc/match_subtitle_script.h

commit 7297d9f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: m_script_free: free subtitle 'export format' property
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/script_free.c

commit 50bc0b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: Add src/misc/subtitle_export.*
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/subtitle_export.c
src/misc/subtitle_export.h

commit 2b72d7f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: Add src/misc/subtitle.*
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/subtitle.c
src/misc/subtitle.h

commit dce2a71
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    misc: scan_scripts.c: Add subtitle scripts
    
    Other:
    * m_scan_scripts: rewrite: eradicate the if-blocks
    * _script_new: free file contents buffer
    * _chk_script_ident: Revise
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/scan_scripts.c

commit 4ead986
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: Impl. quvi_subtitle_* functions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/Makefile.am
src/api/subtitle_export_data.c
src/api/subtitle_export_free.c
src/api/subtitle_export_new.c
src/api/subtitle_free.c
src/api/subtitle_lang_get.c
src/api/subtitle_lang_next.c
src/api/subtitle_lang_reset.c
src/api/subtitle_new.c
src/api/subtitle_select.c
src/api/subtitle_type_get.c
src/api/subtitle_type_next.c
src/api/subtitle_type_reset.c

commit 33e5e45
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: quvi_script_{get,next}: Add subtitle script support
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/script_get.c
src/api/script_next.c

commit 6459487
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: quvi_media_stream_select: Revise doxy comment
    
    Other:
    * Do g_return_if_fail before assigning qm and q
    * Make minor style changes to the code
    * Use the renamed QUVI_ERROR_KEYWORD_CROAK
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_stream_select.c

commit ae870fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: quvi_media_get: Revise doxy comment
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/media_get.c

commit 68b5e36
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: quvi_free: release subtitle scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/free.c

commit 950c3fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: qfunc.h: Add quvi_subtitle_* functions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qfunc.h

commit 3015520
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: qscript.h: Add subtitle types and export format property
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qscript.h

commit 7375710
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: qdef.h: Add subtitle types
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qdef.h

commit dded606
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: errmsg.c: Add (static) croak message, add subtitle messages
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/errmsg.c

commit 5423d1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: qerror.h: Rename croak enum, add subtitle enums
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qerror.h

commit 92109fe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    api: Add qsubtprop.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/Makefile.am
src/quvi-0.9/quvi/qsubtprop.h

commit d3c9144
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    _quvi_s: Add subtitle lists
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h

commit a5db33a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    Add _quvi_subtitle{_export}_s.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/_quvi_subtitle_export_s.h
src/_quvi_subtitle_s.h

commit f4a04db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    _quvi_script_s: Add subtitle 'export format' property
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_script_s.h

commit a0cd134
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    tests: Merge chk_internet and chk_skip lines
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/media.c

commit 8ab3dc9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-15

    test_resolve_nodst: Change test URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/resolve.c

commit b4b5e06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    tests: Merge chk_internet and chk_skip lines
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/goto.c
tests/http_metainfo.c
tests/media.c
tests/playlist.c
tests/resolve.c
tests/scan.c
tests/supports.c

commit 3086fea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    man: Add LIBQUVI_SCRIPTS_VERBOSE to environment section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.txt

commit f86e597
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    quvi_new: Do not check LIBQUVI_SCRIPTS_VERBOSE
    
    Instead of having the library to check the environment value for
    LIBQUVI_SCRIPTS_VERBOSE and then set the qargs.verbose flag, leave
    it for the quvi/debug module to do.
    
    quvi_new would initially check the value, but this caused problems
    with programs that would first call quvi_and then set the env.
    variable value.  Most programs will require the quvi_t handle
    (returned by quvi_new) to enable the libcCURL verbose output.
    
    Another possibility was to have the library check the env. variable
    value when it calls each script (ident, parse, export, ...) and then set
    the qargs.verbose flag. This, however, would result in overhead even
    when the debug facility (quvi/debug) was not used by a script.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h
src/api/new.c
src/lua/def.h
src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_scan_script_parse.c
src/lua/load_util_script.c

commit f8299fa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    tests: chk_verbose: Set LIBQUVI_SCRIPTS_VERBOSE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/lib/env.c

commit 1da7b1a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-14

    examples_enable_verbose: Set LIBQUVI_SCRIPTS_VERBOSE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/enable_verbose.c

commit ddffe55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    lua: exec_util_*.c: Revise comment
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/util/exec_util_convert_entities.c
src/lua/util/exec_util_resolve_redirections.c
src/lua/util/exec_util_to_file_ext.c

commit 22aa8a9
Merge: b39a202 71cf0d3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    Merge branch 'tg/next/1.0_pod_to_asciidoc' into tg/next/1.0

commit 71cf0d3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    .gitignore: Remove libquvi.3
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit 1b165d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    autogen.sh: Remove gen_manual
    
    Do not generate the manual page libquvi(3). This is due to:
    * We now produce the manual pages at build time
    * We no longer use POD, but asciidoc
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

autogen.sh

commit 076c45f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    README: Revise for pod to asciidoc switch
    
    Add "Documentation" section. Move documentation make targets
    under "Documentation".
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 80ca8e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    man: Switch from POD to asciidoc
    
    Rewrite libquvi(3) using asciidoc syntax. Produce the man3 pages
    at build time if a2x was found by configure.
    
    "make dist{check}"  will require a2x.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/Makefile.am
doc/man3/libquvi.3.pod
doc/man3/libquvi.3.txt

commit 93be678
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    Makefile.am: doc: Add man3/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am

commit c0a27db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    configure.ac: Add a2x check
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit b39a202
Merge: 755314f 3802d01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    Merge branch 'tg/next/1.0_dox_add_latex' into tg/next/1.0

commit 3802d01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    README: Revise notes for {doc,distdoc} targets
    
    Add Doxygen to requirements for producing the C API reference
    documentation. Revise the notes for the {doc,distdoc} make targets.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 7661dc6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    doc: Add distdoc-{pdf,latex} targets
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am
doc/dox/Makefile.am

commit 19b0e1e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    doc: Enable LaTeX output
    
    Have Doxygen generate the LaTeX output along with PDF.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/dox/Doxyfile.in

commit 2189a2a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    distdoc-html: Store the "html" path only
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/dox/Makefile.am

commit 755314f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    doc: Add "common script" to "Glossary: Scripts"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_scripts.dp

commit 6d21fc6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-28

    doc: Fix script paths
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_scripts.dp

commit 837a904
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-17

    README: Fix contrib URL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 45ac913
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    FIX: gen-news.sh: Find the closest tagname
    
    Replaces the buggy tagname extraction with a proper one.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 147e285
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-08

    Do not set CURLOPT_WRITE{FUNCTION,DATA} to NULL
    
    Setting CURLOPT_WRITEDATA to NULL will cause a segfault when
    libcurl (v7.21.0) will attempt to write to it.
    
      http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTWRITEFUNCTION
      http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTWRITEDATA
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/fetch.c

commit 93a29af
Merge: cea9232 d7034d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Merge branch 'tg/next/1.0_agpl' into tg/next/1.0

commit d7034d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-21

    Manual: Change LICENSE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.pod

commit 5a451ef
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-19

    README: Change license
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 7b5ebb4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    tests/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/goto.c
tests/http_metainfo.c
tests/lib/env.c
tests/lib/qerr.c
tests/lib/re.c
tests/lib/tests.h
tests/media.c
tests/playlist.c
tests/quvi.c
tests/resolve.c
tests/scan.c
tests/script.c
tests/supports.c

commit 66b7cad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    examples/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/http_metainfo.c
examples/lib/chk.c
examples/lib/cleanup.c
examples/lib/enable_autoproxy.c
examples/lib/enable_verbose.c
examples/lib/examples.h
examples/lib/exit_if_error.c
examples/lib/status.c
examples/lib/var.c
examples/media.c
examples/playlist.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/supports.c
examples/version.c

commit 69d0ddd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_http_metainfo_s.h
src/_quvi_macro.h
src/_quvi_media_s.h
src/_quvi_net_opt_s.h
src/_quvi_net_resolve_s.h
src/_quvi_net_s.h
src/_quvi_playlist_s.h
src/_quvi_s.h
src/_quvi_scan_s.h
src/_quvi_script_s.h

commit 4fa0325
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/quvi-0.9/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/qbool.h
src/quvi-0.9/quvi/qcallback.h
src/quvi-0.9/quvi/qdef.h
src/quvi-0.9/quvi/qerror.h
src/quvi-0.9/quvi/qfunc.h
src/quvi-0.9/quvi/qhttpmiprop.h
src/quvi-0.9/quvi/qinfo.h
src/quvi-0.9/quvi/qmediaprop.h
src/quvi-0.9/quvi/qoption.h
src/quvi-0.9/quvi/qplaylistprop.h
src/quvi-0.9/quvi/qscript.h
src/quvi-0.9/quvi/qsupp.h
src/quvi-0.9/quvi/qversion.h

commit 826e233
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/net/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/def.h
src/net/fetch.c
src/net/fetch.h
src/net/handle.c
src/net/handle.h
src/net/http_metainfo.c
src/net/opt.c
src/net/opt.h
src/net/resolve.c
src/net/resolve.h

commit f998652
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/misc/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/misc/capture.c
src/misc/match.c
src/misc/match_media_script.c
src/misc/match_media_script.h
src/misc/match_playlist_script.c
src/misc/match_playlist_script.h
src/misc/media.c
src/misc/media.h
src/misc/playlist.c
src/misc/playlist.h
src/misc/re.h
src/misc/resolve.c
src/misc/resolve.h
src/misc/scan_new.c
src/misc/scan_new.h
src/misc/scan_scripts.c
src/misc/script_free.c
src/misc/script_free.h
src/misc/to_utf8.c
src/misc/trim.c
src/misc/unescape.c
src/misc/unescape.h

commit 1e914ff
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/lua/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/chk.c
src/lua/chk.h
src/lua/def.h
src/lua/exec.h
src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_scan_script_parse.c
src/lua/getfield.c
src/lua/getfield.h
src/lua/init.c
src/lua/load_util_script.c
src/lua/load_util_script.h
src/lua/match_url_to_media_script.c
src/lua/match_url_to_playlist_script.c
src/lua/modify_pkgpath.c
src/lua/quvi/fetch.c
src/lua/quvi/resolve.c
src/lua/setfield.c
src/lua/setfield.h
src/lua/util/exec_util_convert_entities.c
src/lua/util/exec_util_resolve_redirections.c
src/lua/util/exec_util_to_file_ext.c

commit 42eb658
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/curl/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/autoproxy.c
src/curl/autoproxy.h
src/curl/close.c
src/curl/fetch.c
src/curl/http_metainfo.c
src/curl/init.c
src/curl/resolve.c
src/curl/temp.c
src/curl/temp.h

commit 211092a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    src/api/: Change license header
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/errmsg.c
src/api/free.c
src/api/get.c
src/api/http_metainfo_free.c
src/api/http_metainfo_get.c
src/api/http_metainfo_new.c
src/api/media_free.c
src/api/media_get.c
src/api/media_new.c
src/api/media_stream_choose_best.c
src/api/media_stream_next.c
src/api/media_stream_reset.c
src/api/media_stream_select.c
src/api/new.c
src/api/ok.c
src/api/playlist_free.c
src/api/playlist_get.c
src/api/playlist_media_next.c
src/api/playlist_media_reset.c
src/api/playlist_new.c
src/api/resolve_destination_url.c
src/api/resolve_forwarded.c
src/api/resolve_free.c
src/api/resolve_new.c
src/api/scan_free.c
src/api/scan_new.c
src/api/scan_next_media_url.c
src/api/script_get.c
src/api/script_next.c
src/api/set.c
src/api/supports.c
src/api/version.c

commit 11c4e71
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Change license header in shell scripts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

autogen.sh
gen-news.sh
gen-ver.sh
tests/find_tests.sh
tests/run_tests.sh

commit 83e23e3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Replace COPYING contents
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

COPYING

commit cea9232
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-19

    FIX: tests/resolve.c: #t tests
    
    Update the tests that previously tested failure with the
    g00gle servers when the #t parameter was used.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/resolve.c

commit 48e3c33
Merge: be6f058 496de55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Merge branch 'tg/next/1.0_add_quvi_version_configuration' into tg/next/1.0

commit 496de55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    examples/version.c: Print QUVI_VERSION_CONFIGURATION
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/version.c

commit f2c9330
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    Add QUVI_VERSION_CONFIGURATION
    
    Add QUVI_VERSION_CONFIGURATION to API. This binds the BUILD_OPTS
    defined by the configure.
    
    Trim the function implementations removing whitespace and
    simplifying the switch case.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/version.c
src/quvi-0.9/quvi/qversion.h

commit 02bdc8e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    configure.ac: Define BUILD_OPTS
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit be6f058
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-18

    configure.ac: Add CANONICAL_* descriptions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 7b37a42
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-11-06

    examples/version.c: Revise build {time,target} output
    
    Print both build time and target in one line.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/version.c

commit 3054b85
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    FIX: quvi_http_metainfo_get: doxy ref
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/http_metainfo_get.c

commit 9be0cdd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    examples/script.c: Remove unnused opts "autoproxy", "verbose"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/script.c

commit 2395f69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    man3/libquvi.3.pod: Revise AUTHOR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man3/libquvi.3.pod

commit f53f643
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    FIX: mismatched quotes at line 54 in src/api/media_stream_select.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

po/POTFILES.in
src/api/media_stream_select.c

commit c828821
Merge: 054cb5a adf2c0d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Merge branch 'tg/next/1.0_rename_verify_iface' into tg/next/1.0

commit adf2c0d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Update POTFILES.in
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

po/POTFILES.in

commit 767b57a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    examples/: Rename verify.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/Makefile.am
examples/http_metainfo.c
examples/verify.c

commit 11653f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    examples/lib/status.c: Rename "verify" function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/status.c

commit 07b37d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    examples/lib/: Use renamed quvi_http_meta_info_t
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/lib/cleanup.c
examples/lib/examples.h
examples/lib/var.c

commit fd51d3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    tests/: Rename verify.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

tests/Makefile.am
tests/http_metainfo.c
tests/verify.c

commit dd6073a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    l_exec_util_to_file_ext: Use renamed _quvi_http_metainfo_t
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/lua/util/exec_util_to_file_ext.c

commit 8026a18
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    _quvi_s: Rename quvi_callback_verify
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_s.h

commit b0c2709
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    _quvi_net_s: Rename "verify"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/_quvi_net_s.h

commit 5c2415c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    net/: Rename verify.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/net/Makefile.am
src/net/handle.c
src/net/http_metainfo.c
src/net/verify.c

commit 046b965
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename _quvi_verify_s.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/_quvi_http_metainfo_s.h
src/_quvi_verify_s.h

commit a1db4ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    curl/: Rename verify.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/curl/Makefile.am
src/curl/http_metainfo.c
src/curl/verify.c

commit d88e350
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    api/Makefile.am: Update
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/Makefile.am

commit 0394a95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    glossary_termino.dp: Revise "verification"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_termino.dp

commit 9e83989
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    groups.dp: Rename verify group
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/groups.dp

commit f3bb4ef
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename verify_url.dp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/http_metainfo.dp
src/api/doxy/main.dp.in
src/api/doxy/verify_url.dp

commit 8c97e0f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename verify_get.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/http_metainfo_get.c
src/api/verify_get.c

commit c1764df
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename verify_free.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/http_metainfo_free.c
src/api/verify_free.c

commit cce0f84
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename verify_new.c
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/http_metainfo_new.c
src/api/verify_new.c

commit 1077289
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    Rename qverifyprop.h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/Makefile.am
src/quvi-0.9/quvi/qhttpmiprop.h
src/quvi-0.9/quvi/qverifyprop.h

commit 200ec2b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    qdef.h: Rename quvi_verify_t
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qdef.h

commit c1fe0c8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    qcallback.h: Rename QUVI_CALLBACK_STATUS_VERIFY
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qcallback.h

commit 4e62b24
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-25

    qfunc.h: Rename quvi_verify_*
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qfunc.h

commit 054cb5a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-22

    DOC: Revise Glossary: Terminology
    
    Use different wording to describe the "verification process".
    Remove the "protocol category" from the documentation. This
    feature was removed from the API.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/api/doxy/glossary_termino.dp

commit 1e08f39
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-16

    configure.ac: Revise AC_MSG_NOTICE output
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 888363f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-15

    examples: Remove unused variables
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

examples/media.c
examples/script.c
examples/supports.c

commit 269cbd2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-10-12

    qscript.h: Define QUVI_SCRIPT_PROPERTY_FILEPATH in one line
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi-0.9/quvi/qscript.h

commit decf87d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-21

    FIX: QuviMediaProperty: Double type IDs
    
    Start the double type IDs definition from QUVI_MEDIA_STREAM_PROPERTY_ID.

src/quvi-0.9/quvi/qmediaprop.h

commit b51f18f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-21

    tests/verify.c: chk_val: Test for >0

tests/verify.c

commit afcb2ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-17

    Preserve the optional media properties with goto_url
    
    Allow the *optional* media properties to carry over from one script
    to another. This makes it possible to reuse the previously set
    values in another media script. For example:
    
      - Script A
        - sets qargs.title='foo'
        - sets qargs.goto_url=...
    
      - Script B
        - reuses the previously set value of qargs.title ('foo')
        - parses the remaining media stream properties

src/lua/exec_media_script_parse.c

commit f0697c5
Merge: 5cf9e12 dc48705
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Merge branch 'tg/next/1.0_remove_unused_params' into tg/next/1.0

commit dc48705
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    _supports_playlist: Remove unused arguments
    
    m_match_playlist_script and m_match_media_script no longer take the
    "result" parameter.

src/api/supports.c

commit 897cd57
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    m_match_playlist_script: Remove unused parameter

src/api/playlist_new.c
src/misc/match_playlist_script.c
src/misc/match_playlist_script.h

commit 9660b81
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    m_match_media_script: Remove unused parameter

src/api/media_new.c
src/misc/match_media_script.c
src/misc/match_media_script.h

commit 5cf9e12
Merge: b59d303 343a5b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Merge branch 'tg/next/1.0_rename_tests' into tg/next/1.0

commit 343a5b5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_supports

tests/supports.c

commit 35a9184
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_scan

tests/scan.c

commit 2116174
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_resolve

tests/resolve.c

commit 536834f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_quvi

tests/quvi.c

commit 2c2e62b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_playlist

tests/playlist.c

commit 3b58c2e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Rename test_media

tests/media.c

commit b59d303
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    FIX: QuviCallbackStatusFetch
    
    Use the same definitions as quvi/const.lua .

src/quvi-0.9/quvi/qcallback.h

commit fb46538
Merge: bb71956 2bfc22a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Merge branch 'tg/next/1.0_unescape_input_url' into tg/next/1.0

commit 2bfc22a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    tests/media.c: Add test_media_escaped_url

tests/media.c

commit d8e730b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    tests/playlist.c: Add test_playlist_escaped_url

tests/playlist.c

commit 4cc7169
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    m_match_playlist_script: Unescape URL
    
    Unescape input URL before passing it to the playlist script's
    `ident' function. Do so that the scripts may skip this
    step when they determine whether they can parse the URL.

src/misc/match_playlist_script.c

commit 3b97540
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    m_match_media_script: Unescape URL
    
    Unescape input URL before passing it to the media script's
    `ident' function. Do so that the scripts may skip this
    step when they determine whether they can parse the URL.

src/misc/match_media_script.c

commit 570a16a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Add m_unscape_url

src/misc/Makefile.am
src/misc/unescape.c
src/misc/unescape.h

commit bb71956
Merge: 1da853c c54d30a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Merge branch 'tg/next/1.0_gettext_support' into tg/next/1.0

commit c54d30a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    README: Add GNU gettext

README

commit 42b57aa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    test_quvi: Change expected (English) error string

tests/quvi.c

commit d2a81a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    n_verify: gettextize

src/net/verify.c

commit 3851b58
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    m_match_playlist_script: gettextize

src/misc/match_playlist_script.c

commit 748fb88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    m_match_media_script: gettextize

src/misc/match_media_script.c

commit f82f921
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    lua/load_util_script.c: gettextize

src/lua/load_util_script.c

commit ee26e98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    curl/verify.c: gettextize

src/curl/verify.c

commit 4f02c77
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    curl/resolve.c: gettextize

src/curl/resolve.c

commit 77ab188
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    curl/fetch.c: gettextize

src/curl/fetch.c

commit 700183b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    api/media_stream_select.c: gettextize

src/api/media_stream_select.c

commit 2624553
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    api/errmsg.c: gettextize

src/api/errmsg.c

commit 226fe1e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    quvi_new: Add call to bindtextdomain

src/api/new.c

commit fafa214
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    Add po/LINGUAS

po/LINGUAS

commit c193a39
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    Add po/POTFILES.in

po/POTFILES.in

commit 34f1caf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    Add po/Makevars

po/Makevars

commit e7a3f21
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    src/Makefile.am: LIBADD: Add LTLIBINTL

src/Makefile.am

commit 5197041
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    CPPFLAGS: Define LOCALEDIR

src/Makefile.am
src/api/Makefile.am
src/curl/Makefile.am
src/lua/Makefile.am
src/misc/Makefile.am
src/net/Makefile.am

commit ed54987
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    Update .gitignore file

.gitignore

commit 5044929
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    configure.ac: AC_CONFIG_FILES: Add po/Makefile.in

configure.ac

commit 44117f5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    Makefile.am: SUBDIRS: Add po

Makefile.am

commit 40b2478
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    configure.ac: Add AM_GNU_GETTEXT_VERSION, AM_GNU_GETTEXT

configure.ac

commit 1da853c
Merge: e400c89 e07412b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-16

    Merge branch 'tg/next/1.0_reformat_messages' into tg/next/1.0

commit e07412b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    lua/getfield.c: Revise error messages

src/lua/getfield.c

commit 56bf669
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    lua/exec_scan_script_parse.c: Revise messages

src/lua/exec_scan_script_parse.c

commit 17c5c48
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    lua/exec_playlist_script_parse.c: Revise messages

src/lua/exec_playlist_script_parse.c

commit 603a1f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    l_exec_playlist_script_ident: Revise error message

src/lua/exec_playlist_script_ident.c

commit e5d9d09
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    lua/exec_media_script_parse.c: Revise messages

src/lua/exec_media_script_parse.c

commit 77a0afd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    l_exec_media_script_ident: Revise error message

src/lua/exec_media_script_ident.c

commit 5314bfa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    misc/scan_scripts.c: Use [%s] prefix with messages

src/misc/scan_scripts.c

commit 01efbd1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-14

    misc/trim.c: Use [%s] prefix with warnings

src/misc/trim.c

commit 2d2ff2c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-15

    l_chk_can_parse_url: Revise error message

src/lua/chk.c

commit e400c89
Merge: 0e1c734 5ba9261
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Merge branch 'tg/next/1.0_can_parse_url' into tg/next/1.0

commit 5ba9261
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    playlist: ident: _chk_results: Rewrite for can_parse_url

src/lua/exec_playlist_script_ident.c

commit 9ca4ea7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    media: ident: _chk_results: Rewrite for can_parse_url

src/lua/exec_media_script_ident.c

commit 7c0e196
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Rename MS_ACCEPTS and PS_ACCEPTS

src/lua/def.h

commit 3a3ed59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Rewrite l_chk_accepts as l_chk_can_parse_url
    
    Parse the can_parse_url flag and the domains string from
    the returned dictionary, rather than the subdict (`accepts')
    returned by the ident function.

src/lua/chk.c
src/lua/chk.h

commit 0e1c734
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    _chk_common_scripts: Search without VERSION_MM
    
    Do an additional search from $SCRIPTSDIR without the VERSION_MM
    in the path.

src/misc/scan_scripts.c

commit a5e5389
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    _glob_scripts: SCRIPTSDIR: Search without VERSION_MM
    
    Do an additional search from $SCRIPTSDIR (configure --with-scriptsdir)
    without the VERSION_MM in the path.

src/misc/scan_scripts.c

commit fa403b0
Merge: 82edf5b 84aa859
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Merge branch 'tg/next/1.0_no_categories' into tg/next/1.0

commit 84aa859
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    examples/media.c: Remove --category support

examples/media.c

commit c8dff73
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    tests/quvi.c: Update boundary check

tests/quvi.c

commit 1e56d09
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    quvi_new: _quvi_new: Do not set default category

src/api/new.c

commit 77516c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    quvi_set: _set: Remove QUVI_OPTION_MEDIA_SCRIPT_PROTOCOL_CATEGORY

src/api/set.c

commit 382833d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    _quvi_s: Remove category

src/_quvi_s.h

commit 2f8e65e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    exec_media_script_ident.c: _chk_results: Do not check categories
    
    Remove the category check. Check the "accepts" value only.

src/lua/exec_media_script_ident.c

commit 48cf1eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    lua/def.h: Remove MS_CATEGORIES

src/lua/def.h

commit d8cd98e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    Remove qprotocat.h

src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/Makefile.am
src/quvi-0.9/quvi/qprotocat.h

commit 0649c86
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-12

    QuviOption: Remove QUVI_OPTION_MEDIA_SCRIPT_PROTOCOL_CATEGORY

src/quvi-0.9/quvi/qoption.h

commit 82edf5b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-11

    examples: lib/chk.c: Use the intended license

examples/lib/chk.c

commit 37813d4
Merge: f615117 c18e292
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-05

    Merge branch 'tg/next/1.0_examples_use_gopt' into tg/next/1.0

commit c18e292
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-05

    examples/supports.c: Rewrite using GLib cmdline parser

examples/supports.c

commit 763d15e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-05

    examples/script.c: Rewrite using GLib cmdline parser

examples/script.c

commit 44b9d82
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    examples/media.c: Rewrite using GLib cmdline parser

examples/media.c

commit e8708f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    Add examples/lib/chk.c

examples/lib/Makefile.am
examples/lib/chk.c
examples/lib/examples.h

commit f615117
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    examples: Use the examples prefixed functions

examples/playlist.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/supports.c
examples/verify.c

commit c8bf7c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    examples/lib/: Use examples_ prefix for lib functions

examples/lib/cleanup.c
examples/lib/enable_autoproxy.c
examples/lib/enable_verbose.c
examples/lib/examples.h
examples/lib/exit_if_error.c
examples/lib/status.c

commit 5af2564
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    QuviMediaScriptProtocolCategory: Add more categories
    
    Add
    - HTTPS
    - RTMPT
    - RTMPS
    - RTMPE
    
    And
    - HTTP_FAMILY
    - RTMP_FAMILY

src/quvi-0.9/quvi/qprotocat.h

commit e62f6f9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-09-04

    Rename QUVI_MEDIA_SCRIPT_PROTOCOL_CATEGORY_ALL

src/api/new.c
src/quvi-0.9/quvi/qprotocat.h

commit bbab1e5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-30

    c_init: Use libcurl default for CURLOPT_MAXREDIRS

src/curl/init.c

commit 6908afa
Merge: 15403da bb5cb58
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-29

    Merge branch 'tg/next/1.0_use_intended_license' into tg/next/1.0

commit 15403da
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-29

    gen-news.sh: Produce short stats instead

gen-news.sh

commit bb5cb58
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    tests/: Use intended license header

tests/find_tests.sh
tests/goto.c
tests/lib/env.c
tests/lib/qerr.c
tests/lib/re.c
tests/lib/tests.h
tests/media.c
tests/playlist.c
tests/quvi.c
tests/resolve.c
tests/run_tests.sh
tests/scan.c
tests/script.c
tests/supports.c
tests/verify.c

commit 69bf158
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    tests/script.c: count, len: Do not return "const" return type

tests/script.c

commit 85b5ba1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    examples/: Use intended license header

examples/lib/cleanup.c
examples/lib/enable_autoproxy.c
examples/lib/enable_verbose.c
examples/lib/examples.h
examples/lib/exit_if_error.c
examples/lib/status.c
examples/lib/var.c
examples/media.c
examples/playlist.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/supports.c
examples/verify.c
examples/version.c

commit ed5c5e8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    l_get_reg_userdata: Do not return "const" return type

src/lua/getfield.c
src/lua/getfield.h

commit 7137b5c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/quvi-0.9/: Use intended license header

src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/qbool.h
src/quvi-0.9/quvi/qcallback.h
src/quvi-0.9/quvi/qdef.h
src/quvi-0.9/quvi/qerror.h
src/quvi-0.9/quvi/qfunc.h
src/quvi-0.9/quvi/qinfo.h
src/quvi-0.9/quvi/qmediaprop.h
src/quvi-0.9/quvi/qoption.h
src/quvi-0.9/quvi/qplaylistprop.h
src/quvi-0.9/quvi/qprotocat.h
src/quvi-0.9/quvi/qscript.h
src/quvi-0.9/quvi/qsupp.h
src/quvi-0.9/quvi/qverifyprop.h
src/quvi-0.9/quvi/qversion.h

commit 44d63f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    .gitignore: Update for quvi-0.9 path

.gitignore

commit 6c98aa8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/net/: Use intended license header

src/net/def.h
src/net/fetch.c
src/net/fetch.h
src/net/handle.c
src/net/handle.h
src/net/opt.c
src/net/opt.h
src/net/resolve.c
src/net/resolve.h
src/net/verify.c

commit 259054e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    tests/Makefile.am: Add missing libcurl_CFLAGS

tests/Makefile.am

commit 2898c57
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/misc/: Use intended license header

src/misc/capture.c
src/misc/match.c
src/misc/match_media_script.c
src/misc/match_media_script.h
src/misc/match_playlist_script.c
src/misc/match_playlist_script.h
src/misc/media.c
src/misc/media.h
src/misc/playlist.c
src/misc/playlist.h
src/misc/re.h
src/misc/resolve.c
src/misc/resolve.h
src/misc/scan_new.c
src/misc/scan_new.h
src/misc/scan_scripts.c
src/misc/script_free.c
src/misc/script_free.h
src/misc/to_utf8.c
src/misc/trim.c

commit bacf9cc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/lua/: Use intended license header

src/lua/chk.c
src/lua/chk.h
src/lua/def.h
src/lua/exec.h
src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_scan_script_parse.c
src/lua/getfield.c
src/lua/getfield.h
src/lua/init.c
src/lua/load_util_script.c
src/lua/load_util_script.h
src/lua/match_url_to_media_script.c
src/lua/match_url_to_playlist_script.c
src/lua/modify_pkgpath.c
src/lua/quvi/fetch.c
src/lua/quvi/resolve.c
src/lua/setfield.c
src/lua/setfield.h
src/lua/util/exec_util_convert_entities.c
src/lua/util/exec_util_resolve_redirections.c
src/lua/util/exec_util_to_file_ext.c

commit a5e800a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/curl/: Use intended license header

src/curl/autoproxy.c
src/curl/autoproxy.h
src/curl/close.c
src/curl/fetch.c
src/curl/init.c
src/curl/resolve.c
src/curl/temp.c
src/curl/temp.h
src/curl/verify.c

commit 879e42f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/api/: Use intended license header

src/api/errmsg.c
src/api/free.c
src/api/get.c
src/api/media_free.c
src/api/media_get.c
src/api/media_new.c
src/api/media_stream_choose_best.c
src/api/media_stream_next.c
src/api/media_stream_reset.c
src/api/media_stream_select.c
src/api/new.c
src/api/ok.c
src/api/playlist_free.c
src/api/playlist_get.c
src/api/playlist_media_next.c
src/api/playlist_media_reset.c
src/api/playlist_new.c
src/api/resolve_destination_url.c
src/api/resolve_forwarded.c
src/api/resolve_free.c
src/api/resolve_new.c
src/api/scan_free.c
src/api/scan_new.c
src/api/scan_next_media_url.c
src/api/script_get.c
src/api/script_next.c
src/api/set.c
src/api/supports.c
src/api/verify_free.c
src/api/verify_get.c
src/api/verify_new.c
src/api/version.c

commit d92b03d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    src/: Use intended license header

src/_quvi_macro.h
src/_quvi_media_s.h
src/_quvi_net_opt_s.h
src/_quvi_net_resolve_s.h
src/_quvi_net_s.h
src/_quvi_playlist_s.h
src/_quvi_s.h
src/_quvi_scan_s.h
src/_quvi_script_s.h
src/_quvi_verify_s.h

commit 06823c9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    LIBQUVI_SHOW_SCRIPT: Output script path if URL was accepted
    
    When LIBQUVI_SHOW_SCRIPT is defined, output the path to the script that
    accepted the input URL.

src/misc/match_media_script.c
src/misc/match_playlist_script.c

commit 0ccf608
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    _chk: Change the 'no match' output message

src/misc/scan_scripts.c

commit 7ccb6f3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    Make scripts_dir, show_script, show_dir global
    
    Make these variables available to other modules. The initial values are
    set in the m_scan_scripts function.

src/misc/scan_scripts.c

commit 14d7307
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-21

    m_scan_scripts: Do not sort found scripts by path
    
    Keep the order in which the scripts were found. This makes it possible
    to use cwd and LIBQUVI_SCRIPTS_DIR effectively with system wide
    installations of libquvi-scripts.
    
    For example:
      mkdir -p media
      cp /usr/share/libquvi-scripts/0.9/media/foo.lua media/
      vim media/foo.lua ;# develop, test, etc.

src/misc/scan_scripts.c

commit 1aa9cde
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-19

    Revise the libquvi manual page
    
      * Environment (rename, add new ones)
      * Description
      * Trim down

doc/man3/libquvi.3.pod

commit 4567bf8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    autogen.sh: -c option: Revise warning message

autogen.sh

commit dc82e0e
Merge: be6c7f6 53eb29a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Merge branch 'tg/next/1.0_add_main.dp.in' into tg/next/1.0

commit 53eb29a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Doxyfile.in: INPUT: Add @top_builddir@/src/api/doxy/

doc/dox/Doxyfile.in

commit 0ee1737
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Add main.dp.in

src/api/Makefile.am
src/api/doxy/main.dp
src/api/doxy/main.dp.in

commit 835e3de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    configure.ac: AC_CONFIG_FILES: Add main.dp
    
    Add main.dp to the AC_CONFIG_FILES array. Add BUILD_TIME.

configure.ac

commit be6c7f6
Merge: 5af7a86 834b46b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Merge branch 'tg/next/1.0_new_gen-ver.sh' into tg/next/1.0

commit 834b46b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    configure.ac: Run gen-ver.sh to get the version value
    
    Use the gen-ver.sh returned value with AC_INIT. Set VERSION_MM to
    the gen-ver.sh returned value.

configure.ac

commit c4066e8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    m4/version.m4: Remove libquvi_lt_(rmaj|rmin|rmic|rel)
    
    configure.ac will call the gen-ver.sh script to get this information.

m4/version.m4

commit 2f67ce7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    libquvi-0.9.pc: Version: Use VN_C (no 'v' prefix) value instead
    
    Use the VN_C value for Version. This value does not contain the 'v'
    prefix.

configure.ac
libquvi-0.9.pc.in

commit a2d7516
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    gen-ver.sh: Rewrite completely
    
      * Use dirname(1) output
      * Add support for -c and -m options
      * Do not extract version from m4/version.m4
        - Reserve version.m4 for defining the interface version only

gen-ver.sh

commit 5af7a86
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    FIX: Doxyfile.in: INPUT: Rename quvi-1.0 to quvi-0.9

doc/dox/Doxyfile.in

commit f395c48
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    README: Rewrite --with-scriptsdir description

README

commit 9853c90
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    tests/scan.c: Expect one or more media URLs
    
    The page at the URL (of test_scan_short) contains two embedded
    media URLs.

tests/scan.c

commit f2e3964
Merge: 00a3c26 ede9a01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-18

    Merge branch 'tg/next/1.0_rename_to_0.9' into tg/next/1.0

commit ede9a01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-17

    configure.ac: Check for libquvi-scripts-0.9 instead

configure.ac

commit a3b8907
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    lib_LTLIBRARIES: Rename to libquvi-0.9.la

examples/Makefile.am
src/Makefile.am
tests/Makefile.am

commit f2fbc95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Use 0.9 instead of 1.0

src/api/doxy/getting_started.dp
src/api/doxy/glossary_termino.dp
src/api/doxy/main.dp

commit 98ee2ab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Rename src/quvi-1.0 to src/quvi-0.9

configure.ac
examples/Makefile.am
examples/lib/Makefile.am
src/Makefile.am
src/api/Makefile.am
src/curl/Makefile.am
src/lua/Makefile.am
src/misc/Makefile.am
src/net/Makefile.am
src/quvi-0.9/Makefile.am
src/quvi-0.9/quvi.h
src/quvi-0.9/quvi/Makefile.am
src/quvi-0.9/quvi/qbool.h
src/quvi-0.9/quvi/qcallback.h
src/quvi-0.9/quvi/qdef.h
src/quvi-0.9/quvi/qerror.h
src/quvi-0.9/quvi/qfunc.h
src/quvi-0.9/quvi/qinfo.h
src/quvi-0.9/quvi/qmediaprop.h
src/quvi-0.9/quvi/qoption.h
src/quvi-0.9/quvi/qplaylistprop.h
src/quvi-0.9/quvi/qprotocat.h
src/quvi-0.9/quvi/qscript.h
src/quvi-0.9/quvi/qsupp.h
src/quvi-0.9/quvi/qverifyprop.h
src/quvi-0.9/quvi/qversion.h
src/quvi-1.0/Makefile.am
src/quvi-1.0/quvi.h
src/quvi-1.0/quvi/Makefile.am
src/quvi-1.0/quvi/qbool.h
src/quvi-1.0/quvi/qcallback.h
src/quvi-1.0/quvi/qdef.h
src/quvi-1.0/quvi/qerror.h
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qinfo.h
src/quvi-1.0/quvi/qmediaprop.h
src/quvi-1.0/quvi/qoption.h
src/quvi-1.0/quvi/qplaylistprop.h
src/quvi-1.0/quvi/qprotocat.h
src/quvi-1.0/quvi/qscript.h
src/quvi-1.0/quvi/qsupp.h
src/quvi-1.0/quvi/qverifyprop.h
src/quvi-1.0/quvi/qversion.h
tests/Makefile.am
tests/lib/Makefile.am

commit b976b1a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Rename libquvi-1.0.pc.in to libquvi-0.9.pc.in
    
    Rename the installed .pc file to libquvi-0.9.pc(.in). Update the Cflags
    and the Libs properties in the .pc file.

Makefile.am
configure.ac
libquvi-0.9.pc.in
libquvi-1.0.pc.in

commit 00a3c26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Revise README
    
    Rewrite README entirely, adding installation instructions and testsuite
    notes to it. This leaves the INSTALL file for GNU Autotools.

README

commit 7b87a69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    chk_common_scripts: Add an underscore prefix to function name

src/misc/scan_scripts.c

commit 14866bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    dir_exists: Add an underscore prefix to function name

src/misc/scan_scripts.c

commit 1bde61c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    script_new: Add an underscore prefix to function name

src/misc/scan_scripts.c

commit 94f9d22
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Revise env.dp

src/api/doxy/env.dp

commit 92cf68b
Merge: 35740bd 3fcd826
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Merge branch 'tg/next/1.0_extend_search_dirs' into tg/next/1.0

commit 35740bd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    Do not keep INSTALL in the repository
    
    Have GNU Autotools prodce the default INSTALL file.

.gitignore
INSTALL

commit 3fcd826
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Add dirs.dp

src/api/Makefile.am
src/api/doxy/dirs.dp
src/api/doxy/main.dp

commit ce5dfc2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Rename scripts.dp to acc_script_prop.dp

src/api/doxy/acc_script_prop.dp
src/api/doxy/main.dp
src/api/doxy/scripts.dp

commit 12cbaa1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Manual: Revise LIBQUVI_SCRIPTS_DIR description

doc/man3/libquvi.3.pod

commit 50b2ae7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    DOC: Revise LIBQUVI_SCRIPTS_DIR description

src/api/doxy/env.dp

commit cf7f31c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    configure.ac: versionfile: display a warning instead
    
    Display a warning, instead, if the version file is not found. The
    contents of this file are useful to the quvi_version API function
    only. The function will return an empty string if the file could
    not be read.

configure.ac

commit f6f96ca
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    gen-version.sh: Update parsing from m4/version.m4

gen-ver.sh

commit 37e8ffc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    Split libquvi_lt_rel, define VERSION_MM
    
    Split libquvi_lt_rel into
      libquvi_lt_rmaj
      libquvi_lt_rmin
      libquvi_lt_rmic
    
    Define VERSION_MM (major/minor).

configure.ac
m4/version.m4

commit 3d0f748
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    FIX: Use G_SEARCHPATH_SEPARATOR_S instead

src/misc/scan_scripts.c

commit d03a1a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    _glob_scripts, chk_common_scripts: Use new search path
    
    Search from:
      $prefix/share/libquvi-scripts/$version/

src/misc/scan_scripts.c

commit ee464bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    _glob_scripts: LIBQUVI_SCRIPTS_DIR: Ignore _glob_scripts_dir return value

src/misc/scan_scripts.c

commit df44f13
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    Rename GlobMode to GlobType

src/misc/scan_scripts.c

commit 4050b01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    _glob_scripts: LIBQUVI_SCRIPTS_DIR: Treat as a list of directories
    
    Treat LIBQUVI_SCRIPTS_DIR environment variable value as a list of
    directories, each separated by a colon or a comma, depending on the
    platform.
    
    LIBQUVI_SCRIPTS_DIR should no longer be treated as an exclusive setting,
    or in other words: continue the search even if it is set.

src/misc/scan_scripts.c

commit eecfd97
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    Remove the "lua/" prefix from script search paths

src/misc/scan_scripts.c

commit d85e3d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-13

    chk_common_scripts: LIBQUVI_SCRIPTS_DIR: Treat as a list of directories
    
    Treat LIBQUVI_SCRIPTS_DIR environment variable value as a list of
    directories, each separated by a colon or a comma, depending on the
    platform.
    
    LIBQUVI_SCRIPTS_DIR should no longer be treated as an exclusive setting,
    or in other words: continue the search even if it is set.

src/misc/scan_scripts.c

commit 94ee961
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-16

    configure.ac: Revise --with-scriptsdir help string

configure.ac

commit 025b07f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: run_tests.sh: Revise -h output

tests/run_tests.sh

commit fe43116
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: Output absolute path to the produced XML log file

tests/Makefile.am

commit 42e40f2
Merge: d26703d bf8caeb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    Merge branch 'tg/next/1.0_tests_skip_use_patterns' into tg/next/1.0

commit bf8caeb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: TEST_SKIP: Allow use of regexp patterns
    
    Make it possible to use regular expression patterns with the TEST_SKIP
    enviroment variable.

tests/lib/env.c

commit 842e18c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: Add match function

tests/lib/Makefile.am
tests/lib/re.c
tests/lib/tests.h

commit d26703d
Merge: eaddad8 4f569f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    Merge branch 'tg/next/1.0_tests_output_errmsg' into tg/next/1.0

commit 4f569f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: Update relevant tests to use qerr_m function
    
    Have tests that use the internet connection, to log the used URL along
    with the produced quvi_errmsg. This makes the reading of these logs easier.

tests/goto.c
tests/media.c
tests/playlist.c
tests/resolve.c
tests/scan.c
tests/supports.c
tests/verify.c

commit 9da6776
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-09

    tests: Add qerr_m function
    
    This function may be used like qerr, only it takes an URL parameter
    which will be dumped to the log, along with the quvi_errmsg.

tests/lib/qerr.c
tests/lib/tests.h

commit eaddad8
Merge: 84a88d2 f5dd715
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Merge branch 'tg/next/1.0_playlist_add_title' into tg/next/1.0

commit f5dd715
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    examples: Update examples/playlist.c
    
    Dump playlist thumbnail URL and title.

examples/playlist.c

commit 85e07c9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Update tests/playlist.c for title

tests/playlist.c

commit 85946eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Playlist: Add support for title
    
    This patch adds support for playlist title.

src/_quvi_playlist_s.h
src/api/playlist_get.c
src/lua/def.h
src/lua/exec_playlist_script_parse.c
src/misc/playlist.c
src/quvi-1.0/quvi/qplaylistprop.h

commit 84a88d2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Update tests/playlist.c
    
    Update the boundary check. Add thumbnail checks.

tests/playlist.c

commit 5547e0c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Playlist: Add support for thumbnail URL
    
    This patch adds support for a playlist thumbnail URL.

src/_quvi_playlist_s.h
src/api/playlist_get.c
src/lua/def.h
src/lua/exec_playlist_script_parse.c
src/misc/playlist.c
src/quvi-1.0/quvi/qplaylistprop.h

commit ea32b92
Merge: 59906a8 f06663b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Merge branch 'tg/next/1.0_rename_stream_format_id' into tg/next/1.0

commit f06663b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests/media.c: Rename any "fmt_id" variables and references
    
    Rename any "fmt_id" variables and references. Use
    QUVI_MEDIA_STREAM_PROPERTY_ID, instead.

tests/media.c

commit 173083f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    examples/media.c: Rename -f option
    
    Rename this option to -s, rename also any "fmt_id" variables and
    references. Use QUVI_MEDIA_STREAM_PROPERTY_ID, instead.

examples/media.c

commit cafebcd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    DOC: Rename any "stream format IDs" occurences
    
    Refer to these as "(media) stream IDs" from now on. Revise the
    glossary description for the "Media stream ID".

src/api/doxy/glossary_termino.dp
src/api/doxy/select_stream.dp

commit f72ef87
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Rename QUVI_ERROR_NO_FORMAT_ID_CROAK
    
    Rename to QUVI_ERROR_NO_STREAM_ID_CROAK.

src/quvi-1.0/quvi/qerror.h

commit 76e9b02
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Rename QUVI_MEDIA_STREAM_PROPERTY_FORMAT_ID
    
    Rename this to QUVI_MEDIA_STREAM_ID. Rename also any fmt_id variables,
    including those expected from the media scripts.

src/_quvi_media_s.h
src/api/media_get.c
src/api/media_stream_select.c
src/lua/def.h
src/lua/exec_media_script_parse.c
src/misc/media.c
src/quvi-1.0/quvi/qmediaprop.h

commit 59906a8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    tests: Include the config.h header

tests/goto.c
tests/lib/env.c
tests/lib/qerr.c
tests/media.c
tests/playlist.c
tests/quvi.c
tests/resolve.c
tests/scan.c
tests/script.c
tests/supports.c
tests/verify.c

commit ec4c709
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    examples: Include the config.h header

examples/lib/cleanup.c
examples/lib/enable_autoproxy.c
examples/lib/enable_verbose.c
examples/lib/exit_if_error.c
examples/lib/status.c
examples/lib/var.c
examples/media.c
examples/playlist.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/supports.c
examples/verify.c
examples/version.c

commit 07d8b24
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-07

    Remove unused QUVI_ERROR_INVALID_CONTENT_LENGTH
    
    This error is no longer used after the removal of the "verify media
    stream URL" feature.

src/quvi-1.0/quvi/qerror.h

commit 0f2c87e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    Redefine media script protocol categories

src/quvi-1.0/quvi/qprotocat.h

commit bb47409
Merge: 133737a 0d4cb69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-04

    Merge branch 'tg/next/1.0_make_quvi_fetch_opts_numeric' into tg/next/1.0

commit 0d4cb69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    curl/fetch.c: Rewrite to use the new enums

src/curl/fetch.c

commit c27cf78
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Rewrite n_fetch and _cb_status_type to use new enums
    
    Change this functions to use the new QuviFetchOption and QuviFetchType
    enums.

src/net/fetch.c

commit 6da7bdd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Rewrite n_chk_callback_opts to use the new enums
    
    Instead of using hardcoded string values to ID the options from script
    to quvi.fetch, use QuviFetchOption and QuviFetchType IDs.

src/net/opt.c

commit 63dfc42
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Add QuviFetchOption and QuviFetchType

src/net/def.h

commit cf85ce7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    l_quvi_fetch: Replace luaL_checkstring
    
    Use a lua_isstring-lua_tostring pair, instead. This seems to be a more
    safe way to do this.

src/lua/quvi/fetch.c

commit 9be1e92
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Modify _quvi_net_opt_s to store GString and gdouble

src/_quvi_net_opt_s.h

commit 133737a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Rename QUVI_CALLBACK_STATUS_FETCH_PAGE

src/net/fetch.c
src/quvi-1.0/quvi/qcallback.h

commit b689fc1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: glossary_termino.dp: Add best and default streams

src/api/doxy/glossary_termino.dp

commit 0c648df
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: Move section script_property to glossary_termino.dp

src/api/doxy/glossary_scripts.dp
src/api/doxy/glossary_termino.dp

commit af450b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: glossary_scripts.dp: Add property notes

src/api/doxy/glossary_scripts.dp

commit 596ecd4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: glossary_scripts.dp: Make scripts subsections

src/api/doxy/glossary_scripts.dp

commit 4e9eb4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: main.dp: Trim down the intro

src/api/doxy/main.dp

commit 3c517d2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    DOC: scripts.dp: Revise @sa tags

src/api/doxy/scripts.dp

commit 700c4bb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    FIX: DOC: scripts.dp: Use quvi_script_next in the example
    
    The example was using an incorrect function.

src/api/doxy/scripts.dp

commit 6e162af
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-03

    Comment out obsoleted options in Doxyfile
    
    Do this to omit the following warnings with the later (1.8.1+) versions
    of doxygen:
      `SHOW_DIRECTORIES' at line 72 of file Doxyfile has become obsolete
      `USE_INLINE_TREES' at line 162 of file Doxyfile has become obsolete
      `HTML_ALIGN_MEMBERS' at line 135 of file Doxyfile has become

doc/dox/Doxyfile.in

commit f9b091d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    FIX: DOC: Use "quvi_media_stream_next"

src/api/doxy/parse_media.dp

commit b853b62
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    DOC: Update parge_playlist page
    
    Add a note about using quvi_playlist_media_next and a few examples.

src/api/doxy/parse_playlist.dp

commit afa27c6
Merge: 6ade73c f3deb4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Merge branch 'tg/next/1.0_add_playlist_media_reset' into tg/next/1.0

commit f3deb4c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    tests/playlist.c: Add quvi_playlist_media_reset

tests/playlist.c

commit 604d885
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add quvi_playlist_media_reset

src/api/Makefile.am
src/api/playlist_media_reset.c
src/quvi-1.0/quvi/qfunc.h

commit 6ade73c
Merge: 460395a 128d64a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Merge branch 'tg/next/1.0_playlist_add_properties' into tg/next/1.0

commit 128d64a
Merge: 258472b 686a172
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Merge branch 'tg/next/1.0_playlist_add_title' into tg/next/1.0_playlist_add_properties

commit 686a172
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    tests/playlist.c: Update for QUVI_PLAYLIST_MEDIA_PROPERTY_TITLE

tests/playlist.c

commit c0233f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    examples/playlist.c: Query media title

examples/playlist.c

commit 081661e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Handle QUVI_PLAYLIST_MEDIA_PROPERTY_TITLE

src/api/playlist_get.c

commit 218f4cd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add QUVI_PLAYLIST_MEDIA_PROPERTY_TITLE

src/quvi-1.0/quvi/qplaylistprop.h

commit 63794c3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Parse media title from playlist script returned data

src/lua/def.h
src/lua/exec_playlist_script_parse.c
src/misc/playlist.c

commit b995186
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add title to _quvi_playlist_media_s

src/_quvi_playlist_s.h

commit 258472b
Merge: 160bbb0 498ab16
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Merge branch 'tg/next/1.0_playlist_add_duration' into tg/next/1.0_playlist_add_properties

commit 498ab16
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    tests/playlist.c: Update for duration

tests/playlist.c

commit 7f29fbc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    examples/playlist.c: Query duration

examples/playlist.c

commit dacdf0b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Handle QUVI_PLAYLIST_MEDIA_PROPERTY_DURATION_MS

src/api/playlist_get.c

commit 02201e9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add QUVI_PLAYLIST_MEDIA_PROPERTY_DURATION_MS

src/quvi-1.0/quvi/qplaylistprop.h

commit 45e3d73
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Parse duration_ms from playlist script returned data

src/lua/def.h
src/lua/exec_playlist_script_parse.c

commit cfd85c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add duration_ms to _quvi_playlist_media_s

src/_quvi_playlist_s.h

commit 160bbb0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    FIX: Do not use break keyword

src/lua/exec_playlist_script_parse.c

commit 2c91013
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Rename QUVI_PLAYLIST_PROPERTY_MEDIA_URL

examples/playlist.c
src/api/playlist_get.c
src/quvi-1.0/quvi/qplaylistprop.h
tests/playlist.c

commit 4998453
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    tests/playlist.c: Change to use quvi_playlist_media_next

tests/playlist.c

commit f57470c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    examples/playlist.c: Change to use quvi_playlist_media_next

examples/playlist.c

commit 2f18fd9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    quvi_playlist_get: Advance current playlist media pointer

src/api/playlist_get.c

commit c338396
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Rewrite l_exec_playlist_script_parse for qargs.media
    
    This patch makes it possible for the playlist scripts to return
    media properties, rather than only media URLs. This will allow adding
    support for additional playlist media properties, e.g. duration and
    title.

src/lua/def.h
src/lua/exec_playlist_script_parse.c

commit 5c95b35
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Add m_playlist_media_free

src/misc/playlist.c
src/misc/playlist.h

commit 0900628
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    quvi_playlist_media_next: Use qp->(curr.)media instead

src/api/playlist_media_next.c

commit f12c301
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    _quvi_playlist_s: Move 'media' and 'curr' struct
    
    Other changes:
      * Add _quvi_playlist_media_s

src/_quvi_playlist_s.h

commit 88fbf1d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Rename playlist_next_media_url.c

src/api/Makefile.am
src/api/playlist_media_next.c
src/api/playlist_next_media_url.c
src/quvi-1.0/quvi/qfunc.h

commit 460395a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Do not break the lua_next loop
    
    This may cause issues traversing the Lua stack later.

src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c

commit 7940534
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Tweak comment

src/api/media_get.c

commit 690151c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Rewrite _chk_results using lua_next

src/lua/exec_media_script_ident.c

commit 4d244b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Comment out l_getfield_s and l_getfield_b
    
    Exclude these functions from compiling, as nothing uses them.

src/lua/getfield.c
src/lua/getfield.h

commit d0ea9f0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Rewrite l_chk_accepts using lua_next

src/lua/chk.c

commit 1ca9bc2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Unify error messages produced in Lua using functions

src/lua/exec_media_script_ident.c
src/lua/exec_playlist_script_ident.c

commit 3c6452d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-02

    Do not include lua/getfield.h

src/lua/exec_media_script_parse.c
src/lua/exec_playlist_script_parse.c
src/lua/exec_scan_script_parse.c

commit 6d5f226
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rename all occurences of "(_)quvi_scan_t s"

src/api/scan_free.c
src/api/scan_new.c
src/api/scan_next_media_url.c
src/misc/scan_new.c

commit 8db1b8b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rename all occurences of "(_)quvi_playlist_t p(l)"

src/api/doxy/parse_playlist.dp
src/api/playlist_get.c
src/api/playlist_new.c
src/api/playlist_next_media_url.c
src/api/supports.c
src/lua/exec_playlist_script_ident.c
src/misc/playlist.c

commit 534e845
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rename all occurences of "(_)quvi_media_t m"

src/api/doxy/parse_media.dp
src/api/doxy/parse_playlist.dp
src/api/doxy/select_stream.dp
src/api/media_new.c
src/api/supports.c
src/lua/exec_media_script_ident.c
src/lua/match_url_to_media_script.c
src/lua/util/exec_util_convert_entities.c
src/misc/match_media_script.c
src/misc/media.c

commit 58b0d1c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Comment out the unused l_getfield_table_iter_s
    
    This function is not currently being used. Exclude it from the build.

src/lua/getfield.c
src/lua/getfield.h

commit 58869ad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Make all scan properties optional
    
    Instead of forcing the script to return >0 media URLs, allow
    returning an empty list.
    
    These changes go along with the separation of mandatory and optional
    properties that were introduced recently in the media scripts.

src/lua/exec_scan_script_parse.c

commit 11dc24d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Make all playlist properties optional
    
    Instead of forcing the script to return >0 media URLs or the playlist
    ID, allow these values to be empty.
    
    These changes go along with the separation of mandatory and optional
    properties that were introduced recently in the media scripts.

src/lua/exec_playlist_script_parse.c

commit ade2b2b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Make misc. chk functions reusable to other modules
    
    Move the _chk_* functions from
      exec_media_script_parse.c
    to
      chk.c
    and make them reusable to other modules.

src/lua/chk.c
src/lua/chk.h
src/lua/def.h
src/lua/exec_media_script_parse.c

commit fbc2303
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Rename chk_accepts.* files

src/lua/Makefile.am
src/lua/chk.c
src/lua/chk.h
src/lua/chk_accepts.c
src/lua/chk_accepts.h
src/lua/exec_media_script_ident.c
src/lua/exec_playlist_script_ident.c

commit e9b7d20
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    tests/supports.c: Use a different URL
    
    At the time of writing this, libquvi-scripts still lacks the ported
    media/funnyordie.lua script.

tests/supports.c

commit dc76b04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    tests/resolve.c: Rename test_resolve_known_short_t_param

tests/resolve.c

commit 6ec079a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    FIX: comparison of unsigned enum expression < 0 is always false

src/api/errmsg.c

commit 4c67db5
Merge: 9859084 5015e6f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_rm_query_fmts' into tg/next/1.0
    
    Conflicts:
    	examples/lib/cleanup.c
    	src/api/doxy/glossary_termino.dp
    	src/quvi-1.0/quvi/qoption.h

commit 9859084
Merge: 5a5ec4a 3197434
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_add_verify_api' into tg/next/1.0

commit 3197434
Merge: b0ce7f5 675f1a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-01

    Merge branch 'tg/next/1.0_add_qargs_streams' into tg/next/1.0_add_verify_api

commit 675f1a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-29

    tests/media.c: Add test_media_multi, test_media_select
    
    Add tests for quvi_media_stream_* function set.

tests/media.c

commit 675c39c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-29

    examples/media.c: Use quvi_media_stream_* function set
    
    Use quvi_media_stream_choose_best (`-b') and quvi_media_stream_select
    (`-f') functions. Update usage output.

examples/media.c

commit a53a022
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-28

    Add quvi_media_stream_select
    
    This patch adds the quvi_media_stream_select function which may be used
    to select the stream by its format ID from the available streams. It
    supports patterns, comma-separated values and adds support for the
    'croak' keyword.
    
    This feature was initially created to allow users specify a list of
    formats instead of only one, with a bailout method ('croak') to generate
    an error if nothing matched.
    
    Originally this was intended to be added to the quvi/util.lua:choose_format
    function but was later replaced with a separate C API function to complement
    the qargs.stream support in libquvi 1.0 .

src/api/Makefile.am
src/api/doxy/glossary_termino.dp
src/api/doxy/main.dp
src/api/doxy/parse_media.dp
src/api/doxy/select_stream.dp
src/api/media_stream_select.c
src/quvi-1.0/quvi/qerror.h
src/quvi-1.0/quvi/qfunc.h

commit 3007742
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-28

    Remove QUVI_OPTION_REQUEST_FORMAT
    
    It is no longer used, since the returned data contains all
    available streams (through qargs.streams).

src/_quvi_s.h
src/api/free.c
src/api/new.c
src/api/set.c
src/lua/def.h
src/quvi-1.0/quvi/qoption.h

commit 40d6668
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-27

    Add quvi_media_stream_choose_best
    
    Add a convenience function that may be used to select the best quality
    stream (as determined by the media script) from the returned list.

src/api/Makefile.am
src/api/media_stream_choose_best.c
src/quvi-1.0/quvi/qfunc.h

commit 8128632
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-27

    Add quvi_media_stream_reset
    
    Add quvi_media_stream_reset function to the API. It may be used to reset
    the current media stream pointer.
    
    Fix a typo in qfunc.h file.

src/api/Makefile.am
src/api/media_stream_reset.c
src/quvi-1.0/quvi/qfunc.h

commit 8347a75
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-27

    Replace qargs.stream_url with qargs.streams
    
    This commit changes fundamentally how the media scripts return the
    parsed properties back to the library.
    
    Instead of returning only one media stream URL, all of them are
    returned in a dictionary, immediately accessible to the applications
    using the library.
    
    This means also that the applications will no longer have to query the
    available formats first, set the requested format and then have the
    media script parse the media properties again, is a thing of the past.
    
    There are additional media (stream) properties available, e.g. video
    height, width, encoding, etc. when applicable (iow: when they are
    returned by the server and may be parsed in a media script).
    
    It should be noted, however, that with libquvi 1.0, the only mandatory
    media property is the media stream URL. There must be at least one of
    those returned in the qargs.streams.
    
    These changes complete the removal of the "verification of media
    stream URL" that took place after parsing a media stream URL.

src/_quvi_media_s.h
src/api/Makefile.am
src/api/media_get.c
src/api/media_stream_next.c
src/lua/def.h
src/lua/exec_media_script_parse.c
src/misc/media.c
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qmediaprop.h

commit b0ce7f5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-29

    Remove trailing comma from QuviVerifyProperty

src/quvi-1.0/quvi/qverifyprop.h

commit 5015e6f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-24

    examples: Remove quvi_query_formats_* example
    
    Removed following the removal of the quvi_query_formats_* function set.

examples/Makefile.am
examples/lib/cleanup.c
examples/lib/examples.h
examples/lib/var.c
examples/query_fmts.c

commit f548b59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-24

    tests: Remove quvi_query_* tests
    
    These tests are no longer needed due to the removal of the
    quvi_query_formats_* function set.

tests/Makefile.am
tests/goto.c
tests/query_fmts.c

commit 72f5dd9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-24

    tests/lib: Replace test_query_formats in the example
    
    Remove the test_query_formats from the example to avoid any confusion.

tests/lib/env.c

commit e6d5b31
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-24

    Remove 'query formats' feature
    
    Querying the available formats for a media URL will no longer be
    supported by the library the way it was implemented in 0.4 . The new
    design of the media script support that allows returning all available
    media stream URLs for different available formats with just one call,
    obsoletes the "traditional query formats" implementation found in 0.4 .
    
    This patch removes the planned support for the quvi_query_formats_*
    function set. It also also obsoletes the support for the "query_formats"
    function in the media scripts.

src/Makefile.am
src/_quvi_query_formats_s.h
src/api/Makefile.am
src/api/doxy/glossary_termino.dp
src/api/doxy/groups.dp
src/api/doxy/main.dp
src/api/doxy/parse_media.dp
src/api/doxy/query_formats.dp
src/api/query_formats_free.c
src/api/query_formats_get.c
src/api/query_formats_new.c
src/lua/Makefile.am
src/lua/def.h
src/lua/exec.h
src/lua/exec_media_script_query_formats.c
src/misc/match_media_script.c
src/misc/match_media_script.h
src/misc/scan_scripts.c
src/quvi-1.0/quvi/qdef.h
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qoption.h

commit bc7ed9c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    Add examples/verify.c
    
    Add an example that uses the quvi_verify_* function set.
    Make lib/cleanup.c use "examples.h" instead.

examples/Makefile.am
examples/lib/cleanup.c
examples/lib/examples.h
examples/lib/var.c
examples/verify.c

commit 4f45950
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    Add tests/verify.c
    
    Add a test for the quvi_verify_* function set.

tests/Makefile.am
tests/verify.c

commit 594414e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    DOC: Add "Verification of an URL" and "Verifying an URL"
    
    Add "Verification of an URL" to the glossary (of terminology).
    Add "Verifying an URL" page. Add a note to the quvi_verify_new
    description about the accuracy of the file extension value.

src/api/doxy/glossary_termino.dp
src/api/doxy/groups.dp
src/api/doxy/main.dp
src/api/doxy/verify_url.dp
src/api/verify_new.c

commit 5ab05c2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    Remove "verify media stream URL" feature
    
    The library will no longer return the content-length or the
    content-type (or its derivate: file extension) values along
    with the media properties. This was done by sending an HTTP
    HEAD request to the server and parsing the values in question
    from the reply metadata.
    
    This saves bandwidth, and allows extending the media scripts to
    return all available media stream URLs (e.g. with >1 formats)
    to the library.
    
    Applications that need this, may do so with the media stream URL
    they choose to use using the quvi_verify_* function set or use a
    different solution altogether. This patch adds the quvi_verify_*
    function set.

src/Makefile.am
src/_quvi_media_s.h
src/_quvi_s.h
src/_quvi_verify_s.h
src/api/Makefile.am
src/api/media_get.c
src/api/new.c
src/api/set.c
src/api/verify_free.c
src/api/verify_get.c
src/api/verify_new.c
src/lua/util/exec_util_to_file_ext.c
src/misc/match_media_script.c
src/misc/media.c
src/net/Makefile.am
src/net/verify.c
src/net/verify_media_stream.c
src/quvi-1.0/quvi.h
src/quvi-1.0/quvi/Makefile.am
src/quvi-1.0/quvi/qdef.h
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qmediaprop.h
src/quvi-1.0/quvi/qoption.h
src/quvi-1.0/quvi/qverifyprop.h
tests/media.c

commit 5a5ec4a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-29

    FIX: enum QuviInfo values
    
    QUVI_INFO_ERROR_CODE value was set incorrectly. QUVI_INFO_CURL_HANDLE
    was using QUVI_INFO_RESPONSE_CODE, not QUVI_INFO_TYPE_LONG as it should
    have.

src/quvi-1.0/quvi/qinfo.h

commit b2ae64d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    examples: Remove include curl.h

examples/media.c
examples/playlist.c
examples/query_fmts.c
examples/resolve.c
examples/scan.c
examples/supports.c

commit 3c03e14
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-23

    examples/lib: Rewrite verify status callback

examples/lib/status.c

commit b62cddf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-22

    FIX: tests/media.c: expected title

tests/media.c

commit a516ed3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-19

    DOC: Revise QUVI_OPTION_MEDIA_SCRIPT_PROTOCOL_CATEGORY comment

src/quvi-1.0/quvi/qoption.h

commit 1d3764a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-19

    DOC: glossary_termino.dp: Add "Protocol category"

src/api/doxy/glossary_termino.dp

commit 0846450
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-19

    DOC: Add proxy_support.dp

src/api/Makefile.am
src/api/doxy/main.dp
src/api/doxy/proxy_support.dp

commit e78ee4b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-19

    DOC: env.dp: Revise LIBQUVI_VERBOSE_SCRIPT

src/api/doxy/env.dp

commit 1e1d9f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-19

    DOC: Revise QUVI_OPTION_AUTOPROXY comment

src/quvi-1.0/quvi/qoption.h

commit e6ea49e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-18

    DOC: getting_started.dp: Add 'compiling applications on UNIX'

src/api/doxy/getting_started.dp

commit f4f9f90
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: quvi_supports: Use @ref sh_url

src/api/supports.c

commit e2eabc5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: getting_started.dp: Revise

src/api/doxy/getting_started.dp

commit f225c3e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: chk_supports.dp: Revise

src/api/doxy/chk_support.dp

commit 7d3ea98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: query_formats.dp: Revise

src/api/doxy/query_formats.dp

commit f17b6b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: scripts.dp: Revise @sa tags list

src/api/doxy/scripts.dp

commit 3041ae8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: glossary_termino.dp: Revise

src/api/doxy/glossary_termino.dp

commit b4fec98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: parse_playlist.dp: Add playlist collection note

src/api/doxy/parse_playlist.dp

commit 49b8c88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: scan_media.dp: Revise

src/api/doxy/scan_media.dp

commit 9c509d2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: parse_media.dp: Revise

src/api/doxy/parse_media.dp

commit cd5d259
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: main.dp: Add new @li tag

src/api/doxy/main.dp

commit 110e234
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: env.dp: Remove @sa tags

src/api/doxy/env.dp

commit 1c655c1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: glossary_scripts.dp: Add "Script property"

src/api/doxy/glossary_scripts.dp

commit 3207413
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-20

    DOC: Revise QUVI_SCRIPT_PROPERTY_DOMAINS comment

src/quvi-1.0/quvi/qscript.h

commit 02ca290
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-10

    Add content-length sanity check

src/net/verify_media_stream.c
src/quvi-1.0/quvi/qerror.h

commit dccb6fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-08

    Add new testsuite

.gitignore
Makefile.am
configure.ac
src/api/script_next.c
tests/Makefile.am
tests/find_tests.sh
tests/goto.c
tests/lib/Makefile.am
tests/lib/env.c
tests/lib/qerr.c
tests/lib/tests.h
tests/media.c
tests/playlist.c
tests/query_fmts.c
tests/quvi.c
tests/resolve.c
tests/run_tests.sh
tests/scan.c
tests/script.c
tests/supports.c

commit 62c4a43
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    net/verify_media_stream.c: Rewrite with style changes

src/net/verify_media_stream.c

commit cb67e8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    net/fetch.c: Rewrite with style changes

src/net/fetch.c

commit 760d529
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/trim.c: Rewrite with style changes

src/misc/trim.c

commit caa10c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/scan_scripts.c: Rewrite with style changes

src/misc/scan_scripts.c

commit 37c347e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/match_playlist_script.c: Rewrite with style changes

src/misc/match_playlist_script.c

commit 9ee14f9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/match_media_script.c: Rewrite with style changes

src/misc/match_media_script.c

commit 7093d86
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/match.c: Rewrite with style changes

src/misc/match.c

commit 58e024c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    misc/capture.c: Rewrite with style changes

src/misc/capture.c

commit 1ac5f7a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/util/exec_util_to_file_ext.c: Rewrite with style changes

src/lua/util/exec_util_to_file_ext.c

commit 950bf93
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/util/exec_util_convert_entities.c: Rewrite with style changes

src/lua/util/exec_util_convert_entities.c

commit 21d8c00
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/quvi/fetch.c: Rewrite with style changes

src/lua/quvi/fetch.c

commit 93d9fef
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/match_url_to_playlist_script.c: Rewrite with style changes

src/lua/match_url_to_playlist_script.c

commit 6efe0f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/match_url_to_media_script.c: Rewrite with style changes

src/lua/match_url_to_media_script.c

commit acc927d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/load_util_script.c: Rewrite with style changes

src/lua/load_util_script.c

commit b2a8678
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/exec_scan_script_parse.c: Rewrite with style changes

src/lua/exec_scan_script_parse.c

commit f136c06
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    src/lua/exec_playlist_script_parse.c: Rewrite with style changes

src/lua/exec_playlist_script_parse.c

commit 1536561
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    src/lua/exec_playlist_script_ident.c: Rewrite with style changes

src/lua/exec_playlist_script_ident.c

commit edf885b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/exec_media_script_query_formats.c: Rewrite with style changes

src/lua/exec_media_script_query_formats.c

commit 4d74988
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/exec_media_script_parse.c: Rewrite with style changes

src/lua/exec_media_script_parse.c

commit 3650ed5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/exec_media_script_ident.c: Rewrite with style changes

src/lua/exec_media_script_ident.c

commit 6efd50b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/temp.c: rm whitespace

src/curl/temp.c

commit b89230c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/fetch.c: rm whitespace

src/curl/fetch.c

commit 1091678
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/media_get.c: rm whitespace

src/api/media_get.c

commit 1c279b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/verify.c: Rewrite with style changes

src/curl/verify.c

commit 155f58f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/temp.c: Rewrite with style changes

src/curl/temp.c

commit 9ad788a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/resolve.c: Rewrite with style changes

src/curl/resolve.c

commit d2c818e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    curl/fetch.c: Rewrite with style changes

src/curl/fetch.c

commit f7b7ab9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    quvi_version: Sanitize libquvi-scripts version string

src/api/version.c

commit 5e6e86c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/supports.c: Rewrite with style changes

src/api/supports.c

commit 3bc37a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/set.c: Rewrite with style changes

src/api/set.c

commit b3feb47
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/script_next.c: Rewrite with style changes

src/api/script_next.c

commit d8936f4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/script_get.c: Rewrite with style changes

src/api/script_get.c

commit 5e81484
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/resolve_new.c: Rewrite with style changes

src/api/resolve_new.c

commit ed84c0a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    DOC: Tweak doxy comments for quvi*_new functions

src/api/media_new.c
src/api/new.c
src/api/playlist_new.c
src/api/query_formats_new.c
src/api/resolve_new.c
src/api/scan_new.c

commit e347ba1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/query_formats_new.c: Rewrite with style changes

src/api/query_formats_new.c

commit 7592484
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    Check "handle" variable instead

src/api/query_formats_free.c

commit 30ab540
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/playlist_new.c: Rewrite with style changes

src/api/playlist_new.c

commit 41f2205
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/playlist_get.c: Rewrite with style changes

src/api/playlist_get.c

commit 4017a4a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/media_new.c: Rewrite with style changes

src/api/media_new.c

commit 9a6df3c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/media_get.c: Rewrite with style changes

src/api/media_get.c

commit d7991c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/get.c: Rewrite with style changes

src/api/get.c

commit c4dd4ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/util/exec_util_resolve_redirections.c: Rewrite with style changes

src/lua/util/exec_util_resolve_redirections.c

commit 31a6f00
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    lua/quvi/resolve.c: Rewrite with style changes

src/lua/quvi/resolve.c

commit 70c1ab0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    api/errmsg.c: Rewrite with style changes

src/api/errmsg.c

commit 664176e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    examples/query_fmts.c: Make minor style changes

examples/query_fmts.c

commit 969cb7b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-09

    autogen.sh: rmdir config.aux

autogen.sh

commit dbc7c83
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-08

    DOC: Env. variables: Rewrite proxy section

src/api/doxy/env.dp

commit d54b316
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-08

    examples: Rename query_formats.c to query_fmts.c

examples/Makefile.am
examples/query_fmts.c
examples/query_formats.c

commit 7f4a92c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-07

    Add QUVI_OPTION_AUTOPROXY

configure.ac
examples/lib/Makefile.am
examples/lib/enable_autoproxy.c
examples/lib/examples.h
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/resolve.c
examples/scan.c
examples/supports.c
src/_quvi_s.h
src/api/Makefile.am
src/api/errmsg.c
src/api/free.c
src/api/new.c
src/api/set.c
src/curl/Makefile.am
src/curl/autoproxy.c
src/curl/autoproxy.h
src/curl/fetch.c
src/curl/resolve.c
src/curl/verify.c
src/net/Makefile.am
src/quvi-1.0/quvi/qerror.h
src/quvi-1.0/quvi/qoption.h

commit 0da8ea0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-15

    Add support for util/resolve_redirections.lua
    
    This script may make any additional changes to the resolved destination
    URL before it is passed back to the library.
    
    An example of this are the YouTube URL t= parameters which would
    otherwise be lost during the resolving process, as the g00gle servers
    strip the parameter from the destination URL.

src/api/resolve_new.c
src/api/scan_new.c
src/api/supports.c
src/curl/resolve.c
src/lua/Makefile.am
src/lua/def.h
src/lua/load_util_script.c
src/lua/load_util_script.h
src/lua/quvi/resolve.c
src/lua/util/exec_util_convert_entities.c
src/lua/util/exec_util_resolve_redirections.c
src/lua/util/exec_util_to_file_ext.c
src/misc/match_media_script.c
src/misc/match_playlist_script.c
src/misc/resolve.c
src/misc/resolve.h
src/net/resolve.c

commit 6a26de4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-07

    Replace g_str_has_prefix with g_uri_parse_scheme

src/net/verify_media_stream.c

commit 63d3e01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-07

    rm QUVI_MEDIA_PROPERTY_URL from API

src/api/media_get.c
src/quvi-1.0/quvi/qmediaprop.h

commit 7248da0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-05

    Replace quvi_query_formats_next_format
    
    Add quvi_query_formats_get, replacing the quvi_query_formats_next_format
    function in the API. This leaves parsing of the comma-separated format
    string array to the applications.
    
    This follows the addition of the "domains" value that media and playlist
    scripts return, which also contains a comma-separated value.

examples/query_formats.c
src/_quvi_query_formats_s.h
src/api/Makefile.am
src/api/doxy/query_formats.dp
src/api/query_formats_free.c
src/api/query_formats_get.c
src/api/query_formats_new.c
src/api/query_formats_next_format.c
src/quvi-1.0/quvi/qfunc.h

commit 5899be9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-05

    misc/trim.c: rm m_trim_lua_esc implementation

src/misc/trim.c

commit 2cc1dc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-04

    Revise examples/script.c: rm obsolete type chars

examples/script.c

commit a0e1e70
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-04

    Extend "domains" support to playlist scripts

src/_quvi_script_s.h
src/api/playlist_free.c
src/api/script_get.c
src/lua/Makefile.am
src/lua/chk_accepts.c
src/lua/chk_accepts.h
src/lua/def.h
src/lua/exec_media_script_ident.c
src/lua/exec_playlist_script_ident.c
src/misc/Makefile.am
src/misc/match_playlist_script.c
src/misc/playlist.c
src/misc/playlist.h
src/misc/playlist_new.c
src/misc/playlist_new.h
src/misc/scan_scripts.c
src/misc/script_free.c

commit f82b25e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-03

    Add "domains" property support to media scripts
    
    This patch adds support for the "domains" property value available to
    media scripts. It replaces the 0.4 "domain" string which allowed
    defining only one domain (Lua pattern).
    
    This patch also removes the "categories" media property that was parsed
    from the media script. The value was trivial to applications.

examples/script.c
src/_quvi_script_s.h
src/api/media_free.c
src/api/script_get.c
src/lua/def.h
src/lua/exec_media_script_ident.c
src/lua/getfield.c
src/misc/Makefile.am
src/misc/match_media_script.c
src/misc/media.c
src/misc/media.h
src/misc/media_new.c
src/misc/media_new.h
src/misc/scan_scripts.c
src/misc/script_free.c
src/quvi-1.0/quvi/qscript.h

commit a638ce5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-29

    rm "site", "domain" property support

examples/script.c
src/_quvi_media_s.h
src/_quvi_script_s.h
src/api/doxy/scripts.dp
src/api/media_free.c
src/api/media_get.c
src/api/script_get.c
src/lua/def.h
src/lua/exec_media_script_parse.c
src/misc/media_new.c
src/misc/scan_scripts.c
src/misc/script_free.c
src/quvi-1.0/quvi/qmediaprop.h
src/quvi-1.0/quvi/qscript.h

commit 4fb03ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-06

    rm extra lua_pushnil, lua_setglobal calls

src/lua/exec_media_script_ident.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_scan_script_parse.c

commit 011f475
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-05

    Add QUVI_VERSION_BUILD_TIME, rn QUVI_VERSION_BUILD

configure.ac
examples/version.c
src/api/version.c
src/quvi-1.0/quvi/qversion.h

commit 6d5542e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-03

    configure.ac: rm --with-examples

configure.ac
examples/Makefile.am

commit 0427977
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-03

    examples: Add convenience library

.gitignore
configure.ac
examples/Makefile.am
examples/cleanup.c
examples/enable_verbose.c
examples/exit_if_error.c
examples/lib/Makefile.am
examples/lib/cleanup.c
examples/lib/enable_verbose.c
examples/lib/examples.h
examples/lib/exit_if_error.c
examples/lib/status.c
examples/lib/var.c
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/status.c
examples/supports.c
examples/var.c

commit 75a30a2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-07-01

    Bump libcurl prereq. to 7.21

configure.ac

commit 2890d5d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-29

    Change pattern for categories check

src/misc/scan_scripts.c

commit e508f1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-19

    quvi_get: Default to QUVI_INFO_RESPONSE_CODE

src/api/get.c

commit 34b2aea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-19

    configure.ac: Replace AC_GNU_SOURCE

configure.ac

commit 16456c5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-17

    DOC: Fine tune QUVI_ERROR_CALLBACK description

src/quvi-1.0/quvi/qerror.h

commit 87e821e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-17

    Add examples/enable_verbose.c

examples/Makefile.am
examples/enable_verbose.c
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/resolve.c
examples/scan.c
examples/supports.c

commit fe8230b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    FIX: query_formats_new: Check fmts != NULL

src/api/query_formats_new.c

commit e94c45a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    examples/supports.c: Add -v option

examples/supports.c

commit 61a18f4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    FIX: examples/query_formats.c: Check url != NULL

examples/query_formats.c

commit cec3fed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    FIX: examples/scan.c: Check url != NULL

examples/scan.c

commit ae15296
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    FIX: examples/media.c: Check url != NULL

examples/media.c

commit 4da3ddd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    examples/playlist.c: Add -v option

examples/playlist.c

commit 39496db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    examples/query_formats.c: Add -v option

examples/query_formats.c

commit aba8911
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-16

    examples/scan.c: Add -v option

examples/scan.c

commit 4d83677
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-13

    Rename QUVI_MEDIA_PROPERTY_START_TIME

src/_quvi_media_s.h
src/api/media_get.c
src/lua/def.h
src/lua/exec_media_script_parse.c
src/quvi-1.0/quvi/qmediaprop.h

commit aa7772f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-13

    quvi_get: Do not set q->status.rc
    
    This interferes with QUVI_INFO_ERROR_CODE,
      e.g.
        long e = 0;
        quvi_get(q, QUVI_INFO_ERROR_CODE, &e);
    
        e would now in fact hold QUVI_OK, not the original value.

src/api/get.c

commit 99891d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    FIX: c_resolve: Do not override existing rc variable value

src/curl/fetch.c
src/curl/resolve.c

commit 75eb757
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    FIX: c_resolve: Set rc=QUVI_OK

src/curl/resolve.c

commit e24b845
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    examples/media.c: Add -v

examples/media.c

commit 6e9733e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    examples/: setlocale

examples/media.c
examples/playlist.c
examples/query_formats.c
examples/resolve.c
examples/scan.c
examples/script.c
examples/supports.c

commit 51d973c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    rm QUVI_OPTION_RESOLVE_URL_REDIRECTIONS
    
    Let libcurl automatically follow (up to 5 subsequent) URL redirections.
    quvi_resolve_* function set may still be used to resolve URL redirections.

src/_quvi_s.h
src/api/doxy/chk_support.dp
src/api/new.c
src/api/resolve_new.c
src/api/scan_new.c
src/api/set.c
src/api/supports.c
src/lua/quvi/resolve.c
src/misc/match_media_script.c
src/misc/match_playlist_script.c
src/misc/resolve.c
src/misc/resolve.h
src/net/resolve.c
src/net/resolve.h
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qoption.h

commit 1c9c1ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    c_resolve: Rewrite URL redirection resolving
    
    Let libcurl take care of it all.
    
    Use CURLOPT_FOLLOWLOCATION (=1) and CURLOPT_MAXREDIRS (=5)
    with CURLOPT_NOBODY (=1). Get redirection URL using the
    CURLINFO_EFFECTIVE_URL, instead.

src/curl/init.c
src/curl/resolve.c

commit 7cacea1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-11

    c_fetch: Reset cURL (WRITEDATA) options

src/curl/fetch.c

commit 442c2c4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    Add examples/resolve.c

examples/Makefile.am
examples/cleanup.c
examples/exit_if_error.c
examples/resolve.c
examples/var.c
examples/version.c

commit 4644e80
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    resolve: Do not use WRITEDATA, use HEAD req. instead

src/curl/resolve.c

commit ee0799b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-10

    Use gint and gchar

examples/media.c
examples/playlist.c
examples/query_formats.c
examples/scan.c
examples/script.c
examples/supports.c

commit 96f80ef
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-09

    Add CURLOPT_MAXREDIRS (commented out)

src/curl/resolve.c

commit 9358795
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-08

    Rename QUVI_MEDIA_PROPERTY_MEDIA_URL

src/api/media_get.c
src/quvi-1.0/quvi/qmediaprop.h

commit 650180c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-08

    Make start_time a numeric value

src/_quvi_media_s.h
src/api/media_free.c
src/api/media_get.c
src/lua/exec_media_script_parse.c
src/misc/media_new.c
src/quvi-1.0/quvi/qmediaprop.h

commit b9231f5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-05

    configure.ac: Check for libquvi-scripts-1.0(.pc) instead

configure.ac

commit bd5b57b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-06-04

    qprotocat.h, qsupp.h: Use shift to define

src/quvi-1.0/quvi/qprotocat.h
src/quvi-1.0/quvi/qsupp.h

commit 88e5278
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-25

    Add a comment

src/lua/util/exec_util_convert_entities.c

commit 90f499f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-23

    n_verify_media_stream: Move up check for scheme

src/net/verify_media_stream.c

commit 3e0c4a7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    m_scan_scripts: Print reason for rejection

src/misc/scan_scripts.c

commit 6a28337
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-22

    Impl. goto_url support

src/misc/match_media_script.c

commit 8e8ef4e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    configure.ac: Check for libquvi-scripts-1.0.pc

configure.ac

commit 1738517
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    autogen.sh: Check pod

autogen.sh

commit 8b2d8a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-21

    scripts.dp: Remove sorting

src/api/doxy/scripts.dp

commit bdb991a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    rm script sorting from API
    
      * Sort scripts alphabetically by filepath

examples/script.c
src/_quvi_s.h
src/api/new.c
src/api/script_next.c
src/api/set.c
src/misc/Makefile.am
src/misc/scan_scripts.c
src/misc/sort.c
src/misc/sort.h
src/quvi-1.0/quvi/qoption.h
src/quvi-1.0/quvi/qscript.h

commit 470e635
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    Add config.aux/ar-lib to .gitignore

.gitignore

commit 0364310
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    DOC: quvi_scan_new: Add resolve note

src/api/scan_new.c

commit a0a962d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    m_sort_scripts: Default to filepath

src/misc/sort.c

commit 0d31d55
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    Use default INSTALL file

INSTALL

commit fadf30e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    configure.ac: Modernize automake, libtool options

configure.ac

commit 9afa375
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    src/*/Makefile.am: Use *_LIBADD

src/api/Makefile.am
src/curl/Makefile.am
src/lua/Makefile.am
src/misc/Makefile.am
src/net/Makefile.am

commit b1529eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    src/Makefile.am: Use *_LIBADD

src/Makefile.am

commit a095b11
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-20

    examples/Makefile.am: Use *_LDADD

examples/Makefile.am

commit 7e3423b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-19

    Add config.aux/compile to .gitignore

.gitignore

commit dba84e4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-19

    configure.ac: Add AM_PROG_CC_C_O, AM_PROG_AR
    
      * Leave AM_PROG_AR commented out

configure.ac

commit ffaca07
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-19

    Remove config.aux/config.rpath

config.aux/config.rpath

commit d1e8622
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-19

    Check strlen >0 with g_getenv returned values

src/api/new.c
src/misc/scan_scripts.c

commit b989f59
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-17

    Rewrite examples/script.c
    
    Add
      * Sorting
      * Mask

examples/script.c

commit 2be256a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-17

    Replace _quvi_util_script_s with _quvi_script_s

src/Makefile.am
src/_quvi_util_script_s.h
src/api/free.c
src/lua/load_util_script.c
src/misc/scan_scripts.c
src/misc/script_free.c
src/misc/script_free.h

commit 9ee3847
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-17

    Add a comment to _quvi_script_s

src/_quvi_script_s.h

commit 5d2e3e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-17

    Change defaults for script sorting

src/api/new.c
src/quvi-1.0/quvi/qoption.h

commit 6639c32
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-17

    examples/version.c: Include glib.h

examples/version.c

commit 7231412
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-16

    Rename examples/scripts.c

examples/Makefile.am
examples/script.c
examples/scripts.c

commit c51c21c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-15

    API: Use "const char*" instead

src/api/media_new.c
src/api/playlist_new.c
src/api/query_formats_new.c
src/api/resolve_new.c
src/api/scan_new.c
src/api/supports.c
src/quvi-1.0/quvi/qfunc.h

commit 551369f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add new gitignore entry

.gitignore

commit 0b970ee
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    examples/Makefile.am: Add reusable CPF and LDF

examples/Makefile.am

commit ba04fd1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Cleanup examples/*.c

examples/media.c
examples/query_formats.c

commit bfe2402
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    examples/supports.c: Print unknown type warning

examples/scripts.c

commit 2a00b1b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    configure.ac: Add --with-scriptsdir

configure.ac

commit 1ed31a9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Rewrite target "doc" for doxygen

Makefile.am
configure.ac
doc/Makefile.am
doc/dox/Doxyfile.in
doc/dox/Makefile.am

commit 5c32fe4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add remaining doxygen pages

src/api/Makefile.am
src/api/doxy/chk_support.dp
src/api/doxy/env.dp
src/api/doxy/getting_started.dp
src/api/doxy/glossary.dp
src/api/doxy/glossary_scripts.dp
src/api/doxy/glossary_termino.dp
src/api/doxy/groups.dp
src/api/doxy/main.dp
src/api/doxy/parse_media.dp
src/api/doxy/parse_playlist.dp
src/api/doxy/query_formats.dp
src/api/doxy/scan_media.dp
src/api/doxy/scripts.dp

commit 074912b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add examples/scan.c

examples/Makefile.am
examples/cleanup.c
examples/scan.c
examples/var.c

commit 2f04742
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add quvi_scan_*

src/Makefile.am
src/_quvi_scan_s.h
src/api/Makefile.am
src/api/scan_free.c
src/api/scan_new.c
src/api/scan_next_media_url.c
src/lua/Makefile.am
src/lua/exec_scan_script_parse.c
src/misc/Makefile.am
src/misc/scan_new.c
src/misc/scan_new.h

commit 79eb4a5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add examples/version.c

examples/Makefile.am
examples/version.c

commit 884cd3c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    Add quvi_version

src/api/Makefile.am
src/api/version.c
src/quvi-1.0/quvi/qversion.h

commit 10346d4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-08

    examples: Add var.c

examples/Makefile.am
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/scripts.c
examples/supports.c
examples/var.c

commit 8d45033
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    examples/supports.c: Add -t

examples/supports.c

commit 50b214a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    examples: Add status callback

examples/Makefile.am
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/status.c
examples/supports.c

commit 72e5a70
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add examples/playlist.c

examples/Makefile.am
examples/cleanup.c
examples/exit_if_error.c
examples/media.c
examples/playlist.c
examples/query_formats.c
examples/scripts.c
examples/supports.c

commit 09e28ea
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add examples/query_formats.c

examples/Makefile.am
examples/cleanup.c
examples/exit_if_error.c
examples/media.c
examples/query_formats.c
examples/scripts.c
examples/supports.c

commit d328fa4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add examples/scripts.c

examples/Makefile.am
examples/scripts.c

commit 630fed2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add quvi_script_*

src/api/Makefile.am
src/api/script_get.c
src/api/script_next.c

commit 13c1dad
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add examples/supports.c

examples/Makefile.am
examples/supports.c
src/api/Makefile.am

commit f85b3df
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    Add quvi_supports

src/api/supports.c

commit 1431dfa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-07

    AC_INIT: Change to short URLs

configure.ac

commit f361916
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add examples/media.c

examples/Makefile.am
examples/cleanup.c
examples/exit_if_error.c
examples/media.c

commit 9f58088
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add missing src/curl/, src/lua/, src/net/ files
    
      * Fixes the remaining undefined references

src/curl/Makefile.am
src/curl/verify.c
src/lua/Makefile.am
src/lua/exec_media_script_ident.c
src/lua/exec_media_script_parse.c
src/lua/exec_media_script_query_formats.c
src/lua/exec_playlist_script_ident.c
src/lua/exec_playlist_script_parse.c
src/lua/load_util_script.c
src/lua/load_util_script.h
src/lua/match_url_to_media_script.c
src/lua/match_url_to_playlist_script.c
src/lua/setfield.c
src/lua/setfield.h
src/lua/util/exec_util_convert_entities.c
src/lua/util/exec_util_to_file_ext.c
src/net/Makefile.am
src/net/verify_media_stream.c

commit 6eeba6f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_errmsg

src/api/Makefile.am
src/api/errmsg.c

commit 073fabf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_playlist_*

src/Makefile.am
src/_quvi_playlist_s.h
src/api/Makefile.am
src/api/playlist_free.c
src/api/playlist_get.c
src/api/playlist_new.c
src/api/playlist_next_media_url.c
src/misc/Makefile.am
src/misc/match_playlist_script.c
src/misc/match_playlist_script.h
src/misc/playlist_new.c
src/misc/playlist_new.h

commit fc5102c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    src/Makefile.am: Add missing libconvenience_net.la

src/Makefile.am

commit 1bfb8be
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    rm old example *.c, *.h

examples/common.c
examples/common.h
examples/parse.c
examples/simple.c
examples/supported.c
examples/version.c

commit 4b37193
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_query_formats_*

src/Makefile.am
src/_quvi_query_formats_s.h
src/api/Makefile.am
src/api/query_formats_free.c
src/api/query_formats_new.c
src/api/query_formats_next_format.c

commit f3dde36
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_media_*

src/api/Makefile.am
src/api/media_free.c
src/api/media_get.c
src/api/media_new.c
src/lua/Makefile.am
src/lua/exec.h
src/misc/Makefile.am
src/misc/match_media_script.c
src/misc/match_media_script.h
src/misc/media_new.c
src/misc/media_new.h

commit a0c4936
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Use AC_CANONICAL_TARGET instead
    
      * Re-organize AC_MSG_NOTICE output

configure.ac

commit 1c82b80
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    configure.ac: Update AC_CHECK_*

configure.ac

commit ed4d993
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Bump version to 0.9.0 and IF version C+1:0:0
    
      * Breaks backward-compatibility with 0.4

m4/version.m4

commit aeabf45
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Rename m4 LT variables

configure.ac
m4/version.m4
src/Makefile.am

commit c927f96
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_get, quvi_get

src/api/Makefile.am
src/api/get.c
src/api/set.c

commit a35b88c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Rename libquvi.pc.in
    
      * Update Cflags and Libs

Makefile.am
configure.ac
libquvi-1.0.pc.in
libquvi.pc.in

commit 6db1899
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Update .gitignore

.gitignore

commit cd8379e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Update configure.ac

configure.ac

commit 0fb867d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Update top-level Makefile.am

Makefile.am

commit 7ece5f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add src/Makefile.am

src/Makefile.am

commit dd69366
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add _quvi_*.h

src/_quvi_macro.h
src/_quvi_media_s.h
src/_quvi_net_opt_s.h
src/_quvi_net_resolve_s.h
src/_quvi_net_s.h
src/_quvi_s.h
src/_quvi_script_s.h
src/_quvi_util_script_s.h

commit f25f384
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add src/net/*

src/net/Makefile.am
src/net/def.h
src/net/fetch.c
src/net/fetch.h
src/net/handle.c
src/net/handle.h
src/net/opt.c
src/net/opt.h
src/net/resolve.c
src/net/resolve.h

commit afb15c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add src/misc/*

src/misc/Makefile.am
src/misc/capture.c
src/misc/match.c
src/misc/re.h
src/misc/resolve.c
src/misc/resolve.h
src/misc/scan_scripts.c
src/misc/script_free.c
src/misc/script_free.h
src/misc/sort.c
src/misc/sort.h
src/misc/to_utf8.c
src/misc/trim.c

commit 8338284
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add src/lua/*

src/lua/Makefile.am
src/lua/def.h
src/lua/getfield.c
src/lua/getfield.h
src/lua/init.c
src/lua/modify_pkgpath.c
src/lua/quvi/fetch.c
src/lua/quvi/resolve.c

commit 211d215
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add src/curl/*

src/curl/Makefile.am
src/curl/close.c
src/curl/fetch.c
src/curl/init.c
src/curl/resolve.c
src/curl/temp.c
src/curl/temp.h

commit a11ec8f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add quvi_new, quvi_free, quvi_ok, quvi_resolve_*

src/api/Makefile.am
src/api/free.c
src/api/new.c
src/api/ok.c
src/api/resolve_destination_url.c
src/api/resolve_forwarded.c
src/api/resolve_free.c
src/api/resolve_new.c

commit 0173f0e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-06

    Add new libquvi headers

src/quvi-1.0/Makefile.am
src/quvi-1.0/quvi.h
src/quvi-1.0/quvi/Makefile.am
src/quvi-1.0/quvi/qbool.h
src/quvi-1.0/quvi/qcallback.h
src/quvi-1.0/quvi/qdef.h
src/quvi-1.0/quvi/qerror.h
src/quvi-1.0/quvi/qfunc.h
src/quvi-1.0/quvi/qinfo.h
src/quvi-1.0/quvi/qmediaprop.h
src/quvi-1.0/quvi/qoption.h
src/quvi-1.0/quvi/qplaylistprop.h
src/quvi-1.0/quvi/qprotocat.h
src/quvi-1.0/quvi/qscript.h
src/quvi-1.0/quvi/qsupp.h
src/quvi-1.0/quvi/qversion.h

commit 069bcd8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    examples/Makefile.am: clear

examples/Makefile.am

commit 5813c6a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    doc/Makefile.am: rm nd

doc/Makefile.am

commit bc081d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    .gitignore: rm src/libquvi/*

.gitignore

commit b339eac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    src/Makefile.am: rm SUBDIRS=libquvi

src/Makefile.am

commit a3912bc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    configure.ac: rm src/libquvi/Makefile

configure.ac

commit ed1a434
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    Makefile.am: rm unused HAVE_DOXYGEN block

Makefile.am

commit a568998
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    configure.ac: rm (v)asprintf check

configure.ac

commit ed2e928
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    examples/: rm callback_libsoup.c

examples/Makefile.am
examples/callback_libsoup.c

commit c60e600
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    configure.ac: rm libsoup check

configure.ac

commit 198a085
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    Makefile.am: doc: rm ND generation

Makefile.am

commit 98521a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    configure.ac: rm ND check

configure.ac

commit 164b792
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    Remove doc/nd/*

doc/nd/About.txt
doc/nd/Help/Development.txt
doc/nd/Help/Help.txt
doc/nd/Help/Patches.txt
doc/nd/Help/Style.txt
doc/nd/Overviews/Formats.txt
doc/nd/Overviews/Overview.txt
doc/nd/Overviews/Overview_LinkedList.txt
doc/nd/Overviews/Overview_Network.txt
doc/nd/Webscripts/Guidelines.txt
doc/nd/Webscripts/Tutorial.txt
doc/nd/Webscripts/Webscript.txt

commit f31f4db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    configure.ac: Add glib check, rm AM_ICONV check

configure.ac

commit 3937e4b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-05-05

    Remove old *.c and *.h

configure.ac
src/libquvi/Makefile.am
src/libquvi/asprintf.c
src/libquvi/curl_wrap.c
src/libquvi/curl_wrap.h
src/libquvi/depr_api.c
src/libquvi/internal.h
src/libquvi/llst_api.c
src/libquvi/lua_wrap.c
src/libquvi/lua_wrap.h
src/libquvi/net_api.c
src/libquvi/net_wrap.c
src/libquvi/net_wrap.h
src/libquvi/platform.h
src/libquvi/quvi/Makefile.am
src/libquvi/quvi/llst.h
src/libquvi/quvi/net.h
src/libquvi/quvi/quvi.h
src/libquvi/quvi_api.c
src/libquvi/strepl.c
src/libquvi/util.c
src/libquvi/util.h
src/libquvi/vasprintf.c

commit b05d1ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-30

    Lower AC_PREREQ to 2.67

configure.ac

commit 287aa40
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-27

    gen-news.sh: Add stat

gen-news.sh

commit dd471b6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-23

    Update NEWS for v0.4.1

NEWS

commit 0d0e8ee
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-23

    Bump version to 0.4.1
    
     * Bump interface C:R+1:A

m4/version.m4

commit 6de7322
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    FIX: Lua 5.2: Use luaL_newstate instead (#89)
    
    "lua_open was removed in 5.1, and apparently really removed in 5.2
    luaL_newstate replaces it, and as libquvi already depends on Lua 5.1
    just unconditionally replacing the call should work." -- marienz
    
      * http://sourceforge.net/apps/trac/quvi/ticket/89

src/libquvi/lua_wrap.c

commit b2f1621
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-30

    FIX: Use dirname(3) properly
    
    dirname(3) returned pointers to null-terminated strings must
    not be passed to free(3).  dirname(3) may modify the contents.
    Preserve the pathname by using a temporary copy with dirname(3).

src/libquvi/lua_wrap.c
src/libquvi/util.c
src/libquvi/util.h

commit 0c4ff3b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-18

    FIX: Make verify c/b check against correct option
    
    Check that the verify callback was set, not the resolve callback.

src/libquvi/net_wrap.c

commit 179d997
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-30

    Add examples/supported.c

examples/Makefile.am
examples/supported.c

commit a26f5f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-30

    Add examples/parse.c

examples/Makefile.am
examples/parse.c

commit 41ead47
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-02-29

    Add gen-new.sh (repo only)

gen-news.sh

commit be85ead
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-02-29

    Add license to misc. scripts
    
     * autogen.sh
     * gen-ver.sh

autogen.sh
gen-ver.sh

commit 3d2e015
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-02-29

    DOC: Replace buzzhumor with gaskrank
    
     * buzzhumor.lua was removed in libquvi-scripts 0.4.3

doc/nd/Webscripts/Tutorial.txt

commit 965afaf
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-05

    Update NEWS for 0.4.0

NEWS

commit 32a05a4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-22

    Use empty string instead of "no"

configure.ac

commit 85b2d9a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-16

    Split from git://repo.or.cz/quvi.git

.gitignore
AUTHORS
COPYING
INSTALL
Makefile.am
README
autogen.sh
config.aux/config.rpath
configure.ac
doc/Makefile.am
doc/man3/Makefile.am
doc/man3/libquvi.3.pod
doc/nd/About.txt
doc/nd/Help/Development.txt
doc/nd/Help/Help.txt
doc/nd/Help/Patches.txt
doc/nd/Help/Style.txt
doc/nd/Overviews/Formats.txt
doc/nd/Overviews/Overview.txt
doc/nd/Overviews/Overview_LinkedList.txt
doc/nd/Overviews/Overview_Network.txt
doc/nd/Webscripts/Guidelines.txt
doc/nd/Webscripts/Tutorial.txt
doc/nd/Webscripts/Webscript.txt
examples/Makefile.am
examples/callback_libsoup.c
examples/common.c
examples/common.h
examples/simple.c
examples/version.c
gen-ver.sh
libquvi.pc.in
m4/version.m4
src/Makefile.am
src/libquvi/Makefile.am
src/libquvi/asprintf.c
src/libquvi/curl_wrap.c
src/libquvi/curl_wrap.h
src/libquvi/depr_api.c
src/libquvi/internal.h
src/libquvi/llst_api.c
src/libquvi/lua_wrap.c
src/libquvi/lua_wrap.h
src/libquvi/net_api.c
src/libquvi/net_wrap.c
src/libquvi/net_wrap.h
src/libquvi/platform.h
src/libquvi/quvi/Makefile.am
src/libquvi/quvi/llst.h
src/libquvi/quvi/net.h
src/libquvi/quvi/quvi.h
src/libquvi/quvi_api.c
src/libquvi/strepl.c
src/libquvi/util.c
src/libquvi/util.h
src/libquvi/vasprintf.c
